// Copyright 2015, VIXL authors
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
//   * Redistributions of source code must retain the above copyright notice,
//     this list of conditions and the following disclaimer.
//   * Redistributions in binary form must reproduce the above copyright notice,
//     this list of conditions and the following disclaimer in the documentation
//     and/or other materials provided with the distribution.
//   * Neither the name of ARM Limited nor the names of its contributors may be
//     used to endorse or promote products derived from this software without
//     specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS CONTRIBUTORS "AS IS" AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
// DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
// FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
// CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
// OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


// ---------------------------------------------------------------------
// This file is auto generated using tools/generate_simulator_traces.py.
//
// PLEASE DO NOT EDIT.
// ---------------------------------------------------------------------

#ifndef VIXL_ASSEMBLER_COND_RD_RN_RM_QDADD_A32_H_
#define VIXL_ASSEMBLER_COND_RD_RN_RM_QDADD_A32_H_

const byte kInstruction_qdadd_hi_r1_r9_r5[] = {
  0x59, 0x10, 0x45, 0x81 // qdadd hi r1 r9 r5
};
const byte kInstruction_qdadd_pl_r8_r6_r2[] = {
  0x56, 0x80, 0x42, 0x51 // qdadd pl r8 r6 r2
};
const byte kInstruction_qdadd_hi_r5_r8_r2[] = {
  0x58, 0x50, 0x42, 0x81 // qdadd hi r5 r8 r2
};
const byte kInstruction_qdadd_vc_r9_r2_r7[] = {
  0x52, 0x90, 0x47, 0x71 // qdadd vc r9 r2 r7
};
const byte kInstruction_qdadd_lt_r4_r6_r3[] = {
  0x56, 0x40, 0x43, 0xb1 // qdadd lt r4 r6 r3
};
const byte kInstruction_qdadd_le_r11_r6_r2[] = {
  0x56, 0xb0, 0x42, 0xd1 // qdadd le r11 r6 r2
};
const byte kInstruction_qdadd_cc_r8_r14_r4[] = {
  0x5e, 0x80, 0x44, 0x31 // qdadd cc r8 r14 r4
};
const byte kInstruction_qdadd_le_r5_r14_r6[] = {
  0x5e, 0x50, 0x46, 0xd1 // qdadd le r5 r14 r6
};
const byte kInstruction_qdadd_lt_r6_r1_r0[] = {
  0x51, 0x60, 0x40, 0xb1 // qdadd lt r6 r1 r0
};
const byte kInstruction_qdadd_lt_r5_r0_r9[] = {
  0x50, 0x50, 0x49, 0xb1 // qdadd lt r5 r0 r9
};
const byte kInstruction_qdadd_le_r8_r12_r7[] = {
  0x5c, 0x80, 0x47, 0xd1 // qdadd le r8 r12 r7
};
const byte kInstruction_qdadd_eq_r7_r14_r6[] = {
  0x5e, 0x70, 0x46, 0x01 // qdadd eq r7 r14 r6
};
const byte kInstruction_qdadd_cs_r7_r4_r6[] = {
  0x54, 0x70, 0x46, 0x21 // qdadd cs r7 r4 r6
};
const byte kInstruction_qdadd_gt_r9_r6_r9[] = {
  0x56, 0x90, 0x49, 0xc1 // qdadd gt r9 r6 r9
};
const byte kInstruction_qdadd_ne_r13_r9_r1[] = {
  0x59, 0xd0, 0x41, 0x11 // qdadd ne r13 r9 r1
};
const byte kInstruction_qdadd_ge_r13_r1_r13[] = {
  0x51, 0xd0, 0x4d, 0xa1 // qdadd ge r13 r1 r13
};
const byte kInstruction_qdadd_ls_r8_r10_r2[] = {
  0x5a, 0x80, 0x42, 0x91 // qdadd ls r8 r10 r2
};
const byte kInstruction_qdadd_hi_r0_r13_r5[] = {
  0x5d, 0x00, 0x45, 0x81 // qdadd hi r0 r13 r5
};
const byte kInstruction_qdadd_pl_r13_r7_r8[] = {
  0x57, 0xd0, 0x48, 0x51 // qdadd pl r13 r7 r8
};
const byte kInstruction_qdadd_ge_r4_r13_r11[] = {
  0x5d, 0x40, 0x4b, 0xa1 // qdadd ge r4 r13 r11
};
const byte kInstruction_qdadd_cs_r5_r10_r5[] = {
  0x5a, 0x50, 0x45, 0x21 // qdadd cs r5 r10 r5
};
const byte kInstruction_qdadd_cs_r5_r4_r3[] = {
  0x54, 0x50, 0x43, 0x21 // qdadd cs r5 r4 r3
};
const byte kInstruction_qdadd_ls_r6_r14_r8[] = {
  0x5e, 0x60, 0x48, 0x91 // qdadd ls r6 r14 r8
};
const byte kInstruction_qdadd_vs_r3_r8_r6[] = {
  0x58, 0x30, 0x46, 0x61 // qdadd vs r3 r8 r6
};
const byte kInstruction_qdadd_vc_r7_r12_r3[] = {
  0x5c, 0x70, 0x43, 0x71 // qdadd vc r7 r12 r3
};
const byte kInstruction_qdadd_ge_r1_r4_r1[] = {
  0x54, 0x10, 0x41, 0xa1 // qdadd ge r1 r4 r1
};
const byte kInstruction_qdadd_cc_r4_r7_r10[] = {
  0x57, 0x40, 0x4a, 0x31 // qdadd cc r4 r7 r10
};
const byte kInstruction_qdadd_cc_r2_r0_r13[] = {
  0x50, 0x20, 0x4d, 0x31 // qdadd cc r2 r0 r13
};
const byte kInstruction_qdadd_vs_r9_r6_r8[] = {
  0x56, 0x90, 0x48, 0x61 // qdadd vs r9 r6 r8
};
const byte kInstruction_qdadd_cs_r14_r11_r13[] = {
  0x5b, 0xe0, 0x4d, 0x21 // qdadd cs r14 r11 r13
};
const byte kInstruction_qdadd_pl_r5_r8_r4[] = {
  0x58, 0x50, 0x44, 0x51 // qdadd pl r5 r8 r4
};
const byte kInstruction_qdadd_pl_r2_r3_r7[] = {
  0x53, 0x20, 0x47, 0x51 // qdadd pl r2 r3 r7
};
const byte kInstruction_qdadd_cs_r7_r12_r14[] = {
  0x5c, 0x70, 0x4e, 0x21 // qdadd cs r7 r12 r14
};
const byte kInstruction_qdadd_hi_r6_r6_r1[] = {
  0x56, 0x60, 0x41, 0x81 // qdadd hi r6 r6 r1
};
const byte kInstruction_qdadd_cc_r6_r9_r6[] = {
  0x59, 0x60, 0x46, 0x31 // qdadd cc r6 r9 r6
};
const byte kInstruction_qdadd_ne_r12_r12_r0[] = {
  0x5c, 0xc0, 0x40, 0x11 // qdadd ne r12 r12 r0
};
const byte kInstruction_qdadd_cc_r9_r3_r8[] = {
  0x53, 0x90, 0x48, 0x31 // qdadd cc r9 r3 r8
};
const byte kInstruction_qdadd_mi_r13_r6_r1[] = {
  0x56, 0xd0, 0x41, 0x41 // qdadd mi r13 r6 r1
};
const byte kInstruction_qdadd_lt_r4_r8_r6[] = {
  0x58, 0x40, 0x46, 0xb1 // qdadd lt r4 r8 r6
};
const byte kInstruction_qdadd_hi_r11_r5_r9[] = {
  0x55, 0xb0, 0x49, 0x81 // qdadd hi r11 r5 r9
};
const byte kInstruction_qdadd_cc_r6_r10_r6[] = {
  0x5a, 0x60, 0x46, 0x31 // qdadd cc r6 r10 r6
};
const byte kInstruction_qdadd_eq_r10_r10_r5[] = {
  0x5a, 0xa0, 0x45, 0x01 // qdadd eq r10 r10 r5
};
const byte kInstruction_qdadd_al_r5_r4_r11[] = {
  0x54, 0x50, 0x4b, 0xe1 // qdadd al r5 r4 r11
};
const byte kInstruction_qdadd_pl_r11_r11_r2[] = {
  0x5b, 0xb0, 0x42, 0x51 // qdadd pl r11 r11 r2
};
const byte kInstruction_qdadd_ls_r6_r14_r12[] = {
  0x5e, 0x60, 0x4c, 0x91 // qdadd ls r6 r14 r12
};
const byte kInstruction_qdadd_vc_r7_r7_r2[] = {
  0x57, 0x70, 0x42, 0x71 // qdadd vc r7 r7 r2
};
const byte kInstruction_qdadd_eq_r10_r8_r4[] = {
  0x58, 0xa0, 0x44, 0x01 // qdadd eq r10 r8 r4
};
const byte kInstruction_qdadd_al_r14_r7_r2[] = {
  0x57, 0xe0, 0x42, 0xe1 // qdadd al r14 r7 r2
};
const byte kInstruction_qdadd_cs_r3_r11_r10[] = {
  0x5b, 0x30, 0x4a, 0x21 // qdadd cs r3 r11 r10
};
const byte kInstruction_qdadd_ls_r11_r4_r0[] = {
  0x54, 0xb0, 0x40, 0x91 // qdadd ls r11 r4 r0
};
const byte kInstruction_qdadd_hi_r11_r8_r9[] = {
  0x58, 0xb0, 0x49, 0x81 // qdadd hi r11 r8 r9
};
const byte kInstruction_qdadd_vs_r2_r14_r13[] = {
  0x5e, 0x20, 0x4d, 0x61 // qdadd vs r2 r14 r13
};
const byte kInstruction_qdadd_al_r1_r13_r9[] = {
  0x5d, 0x10, 0x49, 0xe1 // qdadd al r1 r13 r9
};
const byte kInstruction_qdadd_eq_r3_r9_r13[] = {
  0x59, 0x30, 0x4d, 0x01 // qdadd eq r3 r9 r13
};
const byte kInstruction_qdadd_ge_r10_r3_r13[] = {
  0x53, 0xa0, 0x4d, 0xa1 // qdadd ge r10 r3 r13
};
const byte kInstruction_qdadd_pl_r8_r5_r10[] = {
  0x55, 0x80, 0x4a, 0x51 // qdadd pl r8 r5 r10
};
const byte kInstruction_qdadd_vc_r8_r11_r6[] = {
  0x5b, 0x80, 0x46, 0x71 // qdadd vc r8 r11 r6
};
const byte kInstruction_qdadd_eq_r0_r0_r5[] = {
  0x50, 0x00, 0x45, 0x01 // qdadd eq r0 r0 r5
};
const byte kInstruction_qdadd_ne_r6_r5_r8[] = {
  0x55, 0x60, 0x48, 0x11 // qdadd ne r6 r5 r8
};
const byte kInstruction_qdadd_hi_r5_r13_r3[] = {
  0x5d, 0x50, 0x43, 0x81 // qdadd hi r5 r13 r3
};
const byte kInstruction_qdadd_ne_r11_r14_r14[] = {
  0x5e, 0xb0, 0x4e, 0x11 // qdadd ne r11 r14 r14
};
const byte kInstruction_qdadd_mi_r1_r0_r6[] = {
  0x50, 0x10, 0x46, 0x41 // qdadd mi r1 r0 r6
};
const byte kInstruction_qdadd_le_r14_r8_r2[] = {
  0x58, 0xe0, 0x42, 0xd1 // qdadd le r14 r8 r2
};
const byte kInstruction_qdadd_eq_r9_r6_r5[] = {
  0x56, 0x90, 0x45, 0x01 // qdadd eq r9 r6 r5
};
const byte kInstruction_qdadd_eq_r11_r0_r13[] = {
  0x50, 0xb0, 0x4d, 0x01 // qdadd eq r11 r0 r13
};
const byte kInstruction_qdadd_pl_r4_r5_r14[] = {
  0x55, 0x40, 0x4e, 0x51 // qdadd pl r4 r5 r14
};
const byte kInstruction_qdadd_cs_r13_r5_r13[] = {
  0x55, 0xd0, 0x4d, 0x21 // qdadd cs r13 r5 r13
};
const byte kInstruction_qdadd_mi_r0_r13_r8[] = {
  0x5d, 0x00, 0x48, 0x41 // qdadd mi r0 r13 r8
};
const byte kInstruction_qdadd_lt_r2_r13_r3[] = {
  0x5d, 0x20, 0x43, 0xb1 // qdadd lt r2 r13 r3
};
const byte kInstruction_qdadd_ls_r8_r1_r11[] = {
  0x51, 0x80, 0x4b, 0x91 // qdadd ls r8 r1 r11
};
const byte kInstruction_qdadd_vc_r14_r11_r8[] = {
  0x5b, 0xe0, 0x48, 0x71 // qdadd vc r14 r11 r8
};
const byte kInstruction_qdadd_lt_r4_r13_r12[] = {
  0x5d, 0x40, 0x4c, 0xb1 // qdadd lt r4 r13 r12
};
const byte kInstruction_qdadd_eq_r2_r1_r14[] = {
  0x51, 0x20, 0x4e, 0x01 // qdadd eq r2 r1 r14
};
const byte kInstruction_qdadd_eq_r9_r4_r14[] = {
  0x54, 0x90, 0x4e, 0x01 // qdadd eq r9 r4 r14
};
const byte kInstruction_qdadd_hi_r10_r6_r13[] = {
  0x56, 0xa0, 0x4d, 0x81 // qdadd hi r10 r6 r13
};
const byte kInstruction_qdadd_ge_r12_r9_r4[] = {
  0x59, 0xc0, 0x44, 0xa1 // qdadd ge r12 r9 r4
};
const byte kInstruction_qdadd_le_r9_r11_r14[] = {
  0x5b, 0x90, 0x4e, 0xd1 // qdadd le r9 r11 r14
};
const byte kInstruction_qdadd_ls_r0_r9_r5[] = {
  0x59, 0x00, 0x45, 0x91 // qdadd ls r0 r9 r5
};
const byte kInstruction_qdadd_mi_r2_r3_r8[] = {
  0x53, 0x20, 0x48, 0x41 // qdadd mi r2 r3 r8
};
const byte kInstruction_qdadd_ne_r14_r10_r14[] = {
  0x5a, 0xe0, 0x4e, 0x11 // qdadd ne r14 r10 r14
};
const byte kInstruction_qdadd_eq_r6_r2_r10[] = {
  0x52, 0x60, 0x4a, 0x01 // qdadd eq r6 r2 r10
};
const byte kInstruction_qdadd_lt_r11_r0_r12[] = {
  0x50, 0xb0, 0x4c, 0xb1 // qdadd lt r11 r0 r12
};
const byte kInstruction_qdadd_ne_r1_r12_r10[] = {
  0x5c, 0x10, 0x4a, 0x11 // qdadd ne r1 r12 r10
};
const byte kInstruction_qdadd_cc_r1_r0_r2[] = {
  0x50, 0x10, 0x42, 0x31 // qdadd cc r1 r0 r2
};
const byte kInstruction_qdadd_al_r5_r5_r7[] = {
  0x55, 0x50, 0x47, 0xe1 // qdadd al r5 r5 r7
};
const byte kInstruction_qdadd_hi_r7_r13_r1[] = {
  0x5d, 0x70, 0x41, 0x81 // qdadd hi r7 r13 r1
};
const byte kInstruction_qdadd_cs_r4_r4_r9[] = {
  0x54, 0x40, 0x49, 0x21 // qdadd cs r4 r4 r9
};
const byte kInstruction_qdadd_eq_r14_r4_r14[] = {
  0x54, 0xe0, 0x4e, 0x01 // qdadd eq r14 r4 r14
};
const byte kInstruction_qdadd_vs_r10_r5_r14[] = {
  0x55, 0xa0, 0x4e, 0x61 // qdadd vs r10 r5 r14
};
const byte kInstruction_qdadd_gt_r4_r3_r11[] = {
  0x53, 0x40, 0x4b, 0xc1 // qdadd gt r4 r3 r11
};
const byte kInstruction_qdadd_ne_r14_r10_r12[] = {
  0x5a, 0xe0, 0x4c, 0x11 // qdadd ne r14 r10 r12
};
const byte kInstruction_qdadd_vs_r2_r11_r0[] = {
  0x5b, 0x20, 0x40, 0x61 // qdadd vs r2 r11 r0
};
const byte kInstruction_qdadd_ge_r5_r12_r7[] = {
  0x5c, 0x50, 0x47, 0xa1 // qdadd ge r5 r12 r7
};
const byte kInstruction_qdadd_mi_r7_r14_r6[] = {
  0x5e, 0x70, 0x46, 0x41 // qdadd mi r7 r14 r6
};
const byte kInstruction_qdadd_gt_r8_r3_r8[] = {
  0x53, 0x80, 0x48, 0xc1 // qdadd gt r8 r3 r8
};
const byte kInstruction_qdadd_hi_r9_r14_r3[] = {
  0x5e, 0x90, 0x43, 0x81 // qdadd hi r9 r14 r3
};
const byte kInstruction_qdadd_vc_r2_r11_r2[] = {
  0x5b, 0x20, 0x42, 0x71 // qdadd vc r2 r11 r2
};
const byte kInstruction_qdadd_hi_r11_r7_r12[] = {
  0x57, 0xb0, 0x4c, 0x81 // qdadd hi r11 r7 r12
};
const byte kInstruction_qdadd_cs_r6_r4_r11[] = {
  0x54, 0x60, 0x4b, 0x21 // qdadd cs r6 r4 r11
};
const byte kInstruction_qdadd_cs_r12_r5_r9[] = {
  0x55, 0xc0, 0x49, 0x21 // qdadd cs r12 r5 r9
};
const byte kInstruction_qdadd_ls_r5_r10_r5[] = {
  0x5a, 0x50, 0x45, 0x91 // qdadd ls r5 r10 r5
};
const byte kInstruction_qdadd_ls_r0_r9_r13[] = {
  0x59, 0x00, 0x4d, 0x91 // qdadd ls r0 r9 r13
};
const byte kInstruction_qdadd_lt_r3_r3_r5[] = {
  0x53, 0x30, 0x45, 0xb1 // qdadd lt r3 r3 r5
};
const byte kInstruction_qdadd_mi_r0_r12_r8[] = {
  0x5c, 0x00, 0x48, 0x41 // qdadd mi r0 r12 r8
};
const byte kInstruction_qdadd_pl_r3_r12_r12[] = {
  0x5c, 0x30, 0x4c, 0x51 // qdadd pl r3 r12 r12
};
const byte kInstruction_qdadd_eq_r8_r12_r5[] = {
  0x5c, 0x80, 0x45, 0x01 // qdadd eq r8 r12 r5
};
const byte kInstruction_qdadd_cc_r7_r8_r1[] = {
  0x58, 0x70, 0x41, 0x31 // qdadd cc r7 r8 r1
};
const byte kInstruction_qdadd_hi_r2_r13_r10[] = {
  0x5d, 0x20, 0x4a, 0x81 // qdadd hi r2 r13 r10
};
const byte kInstruction_qdadd_al_r7_r10_r10[] = {
  0x5a, 0x70, 0x4a, 0xe1 // qdadd al r7 r10 r10
};
const byte kInstruction_qdadd_vc_r1_r12_r2[] = {
  0x5c, 0x10, 0x42, 0x71 // qdadd vc r1 r12 r2
};
const byte kInstruction_qdadd_cc_r8_r5_r8[] = {
  0x55, 0x80, 0x48, 0x31 // qdadd cc r8 r5 r8
};
const byte kInstruction_qdadd_ls_r3_r7_r9[] = {
  0x57, 0x30, 0x49, 0x91 // qdadd ls r3 r7 r9
};
const byte kInstruction_qdadd_al_r8_r10_r8[] = {
  0x5a, 0x80, 0x48, 0xe1 // qdadd al r8 r10 r8
};
const byte kInstruction_qdadd_lt_r4_r12_r10[] = {
  0x5c, 0x40, 0x4a, 0xb1 // qdadd lt r4 r12 r10
};
const byte kInstruction_qdadd_ge_r10_r5_r11[] = {
  0x55, 0xa0, 0x4b, 0xa1 // qdadd ge r10 r5 r11
};
const byte kInstruction_qdadd_ls_r3_r14_r4[] = {
  0x5e, 0x30, 0x44, 0x91 // qdadd ls r3 r14 r4
};
const byte kInstruction_qdadd_hi_r3_r6_r12[] = {
  0x56, 0x30, 0x4c, 0x81 // qdadd hi r3 r6 r12
};
const byte kInstruction_qdadd_hi_r6_r0_r4[] = {
  0x50, 0x60, 0x44, 0x81 // qdadd hi r6 r0 r4
};
const byte kInstruction_qdadd_al_r11_r6_r0[] = {
  0x56, 0xb0, 0x40, 0xe1 // qdadd al r11 r6 r0
};
const byte kInstruction_qdadd_mi_r3_r1_r9[] = {
  0x51, 0x30, 0x49, 0x41 // qdadd mi r3 r1 r9
};
const byte kInstruction_qdadd_mi_r12_r13_r0[] = {
  0x5d, 0xc0, 0x40, 0x41 // qdadd mi r12 r13 r0
};
const byte kInstruction_qdadd_le_r1_r2_r5[] = {
  0x52, 0x10, 0x45, 0xd1 // qdadd le r1 r2 r5
};
const byte kInstruction_qdadd_hi_r4_r3_r14[] = {
  0x53, 0x40, 0x4e, 0x81 // qdadd hi r4 r3 r14
};
const byte kInstruction_qdadd_eq_r6_r11_r11[] = {
  0x5b, 0x60, 0x4b, 0x01 // qdadd eq r6 r11 r11
};
const byte kInstruction_qdadd_cc_r14_r11_r14[] = {
  0x5b, 0xe0, 0x4e, 0x31 // qdadd cc r14 r11 r14
};
const byte kInstruction_qdadd_hi_r4_r10_r0[] = {
  0x5a, 0x40, 0x40, 0x81 // qdadd hi r4 r10 r0
};
const byte kInstruction_qdadd_cc_r7_r11_r1[] = {
  0x5b, 0x70, 0x41, 0x31 // qdadd cc r7 r11 r1
};
const byte kInstruction_qdadd_mi_r14_r6_r10[] = {
  0x56, 0xe0, 0x4a, 0x41 // qdadd mi r14 r6 r10
};
const byte kInstruction_qdadd_eq_r2_r0_r11[] = {
  0x50, 0x20, 0x4b, 0x01 // qdadd eq r2 r0 r11
};
const byte kInstruction_qdadd_mi_r13_r5_r12[] = {
  0x55, 0xd0, 0x4c, 0x41 // qdadd mi r13 r5 r12
};
const byte kInstruction_qdadd_eq_r2_r12_r5[] = {
  0x5c, 0x20, 0x45, 0x01 // qdadd eq r2 r12 r5
};
const byte kInstruction_qdadd_le_r12_r0_r2[] = {
  0x50, 0xc0, 0x42, 0xd1 // qdadd le r12 r0 r2
};
const byte kInstruction_qdadd_vc_r10_r10_r9[] = {
  0x5a, 0xa0, 0x49, 0x71 // qdadd vc r10 r10 r9
};
const byte kInstruction_qdadd_ls_r11_r11_r8[] = {
  0x5b, 0xb0, 0x48, 0x91 // qdadd ls r11 r11 r8
};
const byte kInstruction_qdadd_hi_r10_r11_r9[] = {
  0x5b, 0xa0, 0x49, 0x81 // qdadd hi r10 r11 r9
};
const byte kInstruction_qdadd_vs_r7_r12_r14[] = {
  0x5c, 0x70, 0x4e, 0x61 // qdadd vs r7 r12 r14
};
const byte kInstruction_qdadd_gt_r11_r14_r12[] = {
  0x5e, 0xb0, 0x4c, 0xc1 // qdadd gt r11 r14 r12
};
const byte kInstruction_qdadd_vs_r0_r12_r8[] = {
  0x5c, 0x00, 0x48, 0x61 // qdadd vs r0 r12 r8
};
const byte kInstruction_qdadd_al_r0_r5_r7[] = {
  0x55, 0x00, 0x47, 0xe1 // qdadd al r0 r5 r7
};
const byte kInstruction_qdadd_hi_r5_r13_r8[] = {
  0x5d, 0x50, 0x48, 0x81 // qdadd hi r5 r13 r8
};
const byte kInstruction_qdadd_le_r9_r9_r7[] = {
  0x59, 0x90, 0x47, 0xd1 // qdadd le r9 r9 r7
};
const byte kInstruction_qdadd_cc_r4_r9_r5[] = {
  0x59, 0x40, 0x45, 0x31 // qdadd cc r4 r9 r5
};
const byte kInstruction_qdadd_vs_r8_r1_r3[] = {
  0x51, 0x80, 0x43, 0x61 // qdadd vs r8 r1 r3
};
const byte kInstruction_qdadd_cc_r0_r10_r12[] = {
  0x5a, 0x00, 0x4c, 0x31 // qdadd cc r0 r10 r12
};
const byte kInstruction_qdadd_eq_r7_r14_r0[] = {
  0x5e, 0x70, 0x40, 0x01 // qdadd eq r7 r14 r0
};
const byte kInstruction_qdadd_vs_r12_r9_r11[] = {
  0x59, 0xc0, 0x4b, 0x61 // qdadd vs r12 r9 r11
};
const byte kInstruction_qdadd_gt_r5_r9_r11[] = {
  0x59, 0x50, 0x4b, 0xc1 // qdadd gt r5 r9 r11
};
const byte kInstruction_qdadd_cs_r14_r13_r7[] = {
  0x5d, 0xe0, 0x47, 0x21 // qdadd cs r14 r13 r7
};
const byte kInstruction_qdadd_mi_r11_r3_r10[] = {
  0x53, 0xb0, 0x4a, 0x41 // qdadd mi r11 r3 r10
};
const byte kInstruction_qdadd_hi_r11_r8_r12[] = {
  0x58, 0xb0, 0x4c, 0x81 // qdadd hi r11 r8 r12
};
const byte kInstruction_qdadd_cs_r3_r8_r13[] = {
  0x58, 0x30, 0x4d, 0x21 // qdadd cs r3 r8 r13
};
const byte kInstruction_qdadd_pl_r10_r12_r6[] = {
  0x5c, 0xa0, 0x46, 0x51 // qdadd pl r10 r12 r6
};
const byte kInstruction_qdadd_vc_r7_r3_r2[] = {
  0x53, 0x70, 0x42, 0x71 // qdadd vc r7 r3 r2
};
const byte kInstruction_qdadd_mi_r9_r0_r8[] = {
  0x50, 0x90, 0x48, 0x41 // qdadd mi r9 r0 r8
};
const byte kInstruction_qdadd_eq_r2_r13_r7[] = {
  0x5d, 0x20, 0x47, 0x01 // qdadd eq r2 r13 r7
};
const byte kInstruction_qdadd_ne_r2_r14_r0[] = {
  0x5e, 0x20, 0x40, 0x11 // qdadd ne r2 r14 r0
};
const byte kInstruction_qdadd_vs_r4_r10_r0[] = {
  0x5a, 0x40, 0x40, 0x61 // qdadd vs r4 r10 r0
};
const byte kInstruction_qdadd_ls_r0_r2_r2[] = {
  0x52, 0x00, 0x42, 0x91 // qdadd ls r0 r2 r2
};
const byte kInstruction_qdadd_cc_r1_r6_r0[] = {
  0x56, 0x10, 0x40, 0x31 // qdadd cc r1 r6 r0
};
const byte kInstruction_qdadd_lt_r12_r0_r8[] = {
  0x50, 0xc0, 0x48, 0xb1 // qdadd lt r12 r0 r8
};
const byte kInstruction_qdadd_cc_r9_r3_r14[] = {
  0x53, 0x90, 0x4e, 0x31 // qdadd cc r9 r3 r14
};
const byte kInstruction_qdadd_vs_r7_r9_r1[] = {
  0x59, 0x70, 0x41, 0x61 // qdadd vs r7 r9 r1
};
const byte kInstruction_qdadd_eq_r11_r9_r14[] = {
  0x59, 0xb0, 0x4e, 0x01 // qdadd eq r11 r9 r14
};
const byte kInstruction_qdadd_pl_r6_r10_r4[] = {
  0x5a, 0x60, 0x44, 0x51 // qdadd pl r6 r10 r4
};
const byte kInstruction_qdadd_ne_r8_r5_r6[] = {
  0x55, 0x80, 0x46, 0x11 // qdadd ne r8 r5 r6
};
const byte kInstruction_qdadd_cs_r0_r6_r2[] = {
  0x56, 0x00, 0x42, 0x21 // qdadd cs r0 r6 r2
};
const byte kInstruction_qdadd_eq_r11_r12_r4[] = {
  0x5c, 0xb0, 0x44, 0x01 // qdadd eq r11 r12 r4
};
const byte kInstruction_qdadd_lt_r14_r3_r14[] = {
  0x53, 0xe0, 0x4e, 0xb1 // qdadd lt r14 r3 r14
};
const byte kInstruction_qdadd_le_r7_r12_r14[] = {
  0x5c, 0x70, 0x4e, 0xd1 // qdadd le r7 r12 r14
};
const byte kInstruction_qdadd_hi_r2_r9_r9[] = {
  0x59, 0x20, 0x49, 0x81 // qdadd hi r2 r9 r9
};
const byte kInstruction_qdadd_ne_r8_r1_r0[] = {
  0x51, 0x80, 0x40, 0x11 // qdadd ne r8 r1 r0
};
const byte kInstruction_qdadd_cc_r5_r11_r2[] = {
  0x5b, 0x50, 0x42, 0x31 // qdadd cc r5 r11 r2
};
const byte kInstruction_qdadd_hi_r0_r1_r2[] = {
  0x51, 0x00, 0x42, 0x81 // qdadd hi r0 r1 r2
};
const byte kInstruction_qdadd_al_r4_r9_r4[] = {
  0x59, 0x40, 0x44, 0xe1 // qdadd al r4 r9 r4
};
const byte kInstruction_qdadd_cs_r12_r7_r14[] = {
  0x57, 0xc0, 0x4e, 0x21 // qdadd cs r12 r7 r14
};
const byte kInstruction_qdadd_cc_r4_r12_r10[] = {
  0x5c, 0x40, 0x4a, 0x31 // qdadd cc r4 r12 r10
};
const byte kInstruction_qdadd_al_r3_r5_r10[] = {
  0x55, 0x30, 0x4a, 0xe1 // qdadd al r3 r5 r10
};
const byte kInstruction_qdadd_mi_r5_r3_r7[] = {
  0x53, 0x50, 0x47, 0x41 // qdadd mi r5 r3 r7
};
const byte kInstruction_qdadd_ls_r10_r6_r2[] = {
  0x56, 0xa0, 0x42, 0x91 // qdadd ls r10 r6 r2
};
const byte kInstruction_qdadd_mi_r0_r12_r11[] = {
  0x5c, 0x00, 0x4b, 0x41 // qdadd mi r0 r12 r11
};
const byte kInstruction_qdadd_vc_r12_r5_r6[] = {
  0x55, 0xc0, 0x46, 0x71 // qdadd vc r12 r5 r6
};
const byte kInstruction_qdadd_cs_r3_r9_r4[] = {
  0x59, 0x30, 0x44, 0x21 // qdadd cs r3 r9 r4
};
const byte kInstruction_qdadd_ls_r4_r9_r11[] = {
  0x59, 0x40, 0x4b, 0x91 // qdadd ls r4 r9 r11
};
const byte kInstruction_qdadd_le_r14_r8_r13[] = {
  0x58, 0xe0, 0x4d, 0xd1 // qdadd le r14 r8 r13
};
const byte kInstruction_qdadd_gt_r4_r10_r8[] = {
  0x5a, 0x40, 0x48, 0xc1 // qdadd gt r4 r10 r8
};
const byte kInstruction_qdadd_al_r6_r9_r9[] = {
  0x59, 0x60, 0x49, 0xe1 // qdadd al r6 r9 r9
};
const byte kInstruction_qdadd_ne_r8_r5_r12[] = {
  0x55, 0x80, 0x4c, 0x11 // qdadd ne r8 r5 r12
};
const byte kInstruction_qdadd_ne_r0_r4_r8[] = {
  0x54, 0x00, 0x48, 0x11 // qdadd ne r0 r4 r8
};
const byte kInstruction_qdadd_mi_r7_r13_r3[] = {
  0x5d, 0x70, 0x43, 0x41 // qdadd mi r7 r13 r3
};
const byte kInstruction_qdadd_cc_r11_r7_r0[] = {
  0x57, 0xb0, 0x40, 0x31 // qdadd cc r11 r7 r0
};
const byte kInstruction_qdadd_hi_r1_r0_r12[] = {
  0x50, 0x10, 0x4c, 0x81 // qdadd hi r1 r0 r12
};
const byte kInstruction_qdadd_lt_r8_r9_r3[] = {
  0x59, 0x80, 0x43, 0xb1 // qdadd lt r8 r9 r3
};
const byte kInstruction_qdadd_al_r0_r2_r1[] = {
  0x52, 0x00, 0x41, 0xe1 // qdadd al r0 r2 r1
};
const byte kInstruction_qdadd_vs_r4_r3_r14[] = {
  0x53, 0x40, 0x4e, 0x61 // qdadd vs r4 r3 r14
};
const byte kInstruction_qdadd_ge_r2_r11_r1[] = {
  0x5b, 0x20, 0x41, 0xa1 // qdadd ge r2 r11 r1
};
const byte kInstruction_qdadd_lt_r12_r9_r6[] = {
  0x59, 0xc0, 0x46, 0xb1 // qdadd lt r12 r9 r6
};
const byte kInstruction_qdadd_ls_r8_r2_r7[] = {
  0x52, 0x80, 0x47, 0x91 // qdadd ls r8 r2 r7
};
const byte kInstruction_qdadd_le_r8_r13_r3[] = {
  0x5d, 0x80, 0x43, 0xd1 // qdadd le r8 r13 r3
};
const byte kInstruction_qdadd_eq_r11_r13_r14[] = {
  0x5d, 0xb0, 0x4e, 0x01 // qdadd eq r11 r13 r14
};
const byte kInstruction_qdadd_lt_r1_r6_r13[] = {
  0x56, 0x10, 0x4d, 0xb1 // qdadd lt r1 r6 r13
};
const byte kInstruction_qdadd_cs_r3_r8_r11[] = {
  0x58, 0x30, 0x4b, 0x21 // qdadd cs r3 r8 r11
};
const byte kInstruction_qdadd_pl_r12_r5_r4[] = {
  0x55, 0xc0, 0x44, 0x51 // qdadd pl r12 r5 r4
};
const byte kInstruction_qdadd_eq_r8_r7_r2[] = {
  0x57, 0x80, 0x42, 0x01 // qdadd eq r8 r7 r2
};
const byte kInstruction_qdadd_ls_r2_r12_r2[] = {
  0x5c, 0x20, 0x42, 0x91 // qdadd ls r2 r12 r2
};
const byte kInstruction_qdadd_le_r14_r2_r3[] = {
  0x52, 0xe0, 0x43, 0xd1 // qdadd le r14 r2 r3
};
const byte kInstruction_qdadd_ge_r10_r11_r6[] = {
  0x5b, 0xa0, 0x46, 0xa1 // qdadd ge r10 r11 r6
};
const byte kInstruction_qdadd_hi_r0_r2_r2[] = {
  0x52, 0x00, 0x42, 0x81 // qdadd hi r0 r2 r2
};
const byte kInstruction_qdadd_ge_r2_r0_r2[] = {
  0x50, 0x20, 0x42, 0xa1 // qdadd ge r2 r0 r2
};
const byte kInstruction_qdadd_vs_r11_r14_r0[] = {
  0x5e, 0xb0, 0x40, 0x61 // qdadd vs r11 r14 r0
};
const byte kInstruction_qdadd_lt_r2_r0_r1[] = {
  0x50, 0x20, 0x41, 0xb1 // qdadd lt r2 r0 r1
};
const byte kInstruction_qdadd_cs_r2_r5_r11[] = {
  0x55, 0x20, 0x4b, 0x21 // qdadd cs r2 r5 r11
};
const byte kInstruction_qdadd_ls_r7_r14_r5[] = {
  0x5e, 0x70, 0x45, 0x91 // qdadd ls r7 r14 r5
};
const byte kInstruction_qdadd_pl_r0_r0_r3[] = {
  0x50, 0x00, 0x43, 0x51 // qdadd pl r0 r0 r3
};
const byte kInstruction_qdadd_ge_r6_r8_r8[] = {
  0x58, 0x60, 0x48, 0xa1 // qdadd ge r6 r8 r8
};
const byte kInstruction_qdadd_le_r11_r1_r10[] = {
  0x51, 0xb0, 0x4a, 0xd1 // qdadd le r11 r1 r10
};
const byte kInstruction_qdadd_vs_r5_r2_r7[] = {
  0x52, 0x50, 0x47, 0x61 // qdadd vs r5 r2 r7
};
const byte kInstruction_qdadd_ne_r4_r4_r8[] = {
  0x54, 0x40, 0x48, 0x11 // qdadd ne r4 r4 r8
};
const byte kInstruction_qdadd_cc_r9_r14_r13[] = {
  0x5e, 0x90, 0x4d, 0x31 // qdadd cc r9 r14 r13
};
const byte kInstruction_qdadd_hi_r14_r6_r3[] = {
  0x56, 0xe0, 0x43, 0x81 // qdadd hi r14 r6 r3
};
const byte kInstruction_qdadd_al_r0_r8_r0[] = {
  0x58, 0x00, 0x40, 0xe1 // qdadd al r0 r8 r0
};
const byte kInstruction_qdadd_lt_r6_r11_r1[] = {
  0x5b, 0x60, 0x41, 0xb1 // qdadd lt r6 r11 r1
};
const byte kInstruction_qdadd_ge_r7_r6_r12[] = {
  0x56, 0x70, 0x4c, 0xa1 // qdadd ge r7 r6 r12
};
const byte kInstruction_qdadd_cs_r4_r6_r14[] = {
  0x56, 0x40, 0x4e, 0x21 // qdadd cs r4 r6 r14
};
const byte kInstruction_qdadd_cs_r7_r6_r7[] = {
  0x56, 0x70, 0x47, 0x21 // qdadd cs r7 r6 r7
};
const byte kInstruction_qdadd_cs_r3_r7_r10[] = {
  0x57, 0x30, 0x4a, 0x21 // qdadd cs r3 r7 r10
};
const byte kInstruction_qdadd_ne_r0_r2_r1[] = {
  0x52, 0x00, 0x41, 0x11 // qdadd ne r0 r2 r1
};
const byte kInstruction_qdadd_vs_r9_r10_r13[] = {
  0x5a, 0x90, 0x4d, 0x61 // qdadd vs r9 r10 r13
};
const byte kInstruction_qdadd_vc_r11_r14_r12[] = {
  0x5e, 0xb0, 0x4c, 0x71 // qdadd vc r11 r14 r12
};
const byte kInstruction_qdadd_ge_r14_r8_r7[] = {
  0x58, 0xe0, 0x47, 0xa1 // qdadd ge r14 r8 r7
};
const byte kInstruction_qdadd_lt_r13_r0_r11[] = {
  0x50, 0xd0, 0x4b, 0xb1 // qdadd lt r13 r0 r11
};
const byte kInstruction_qdadd_lt_r14_r13_r4[] = {
  0x5d, 0xe0, 0x44, 0xb1 // qdadd lt r14 r13 r4
};
const byte kInstruction_qdadd_al_r1_r10_r9[] = {
  0x5a, 0x10, 0x49, 0xe1 // qdadd al r1 r10 r9
};
const byte kInstruction_qdadd_ge_r11_r14_r11[] = {
  0x5e, 0xb0, 0x4b, 0xa1 // qdadd ge r11 r14 r11
};
const byte kInstruction_qdadd_cs_r11_r4_r11[] = {
  0x54, 0xb0, 0x4b, 0x21 // qdadd cs r11 r4 r11
};
const byte kInstruction_qdadd_ge_r0_r14_r7[] = {
  0x5e, 0x00, 0x47, 0xa1 // qdadd ge r0 r14 r7
};
const byte kInstruction_qdadd_mi_r1_r2_r9[] = {
  0x52, 0x10, 0x49, 0x41 // qdadd mi r1 r2 r9
};
const byte kInstruction_qdadd_eq_r5_r12_r3[] = {
  0x5c, 0x50, 0x43, 0x01 // qdadd eq r5 r12 r3
};
const byte kInstruction_qdadd_ge_r1_r5_r12[] = {
  0x55, 0x10, 0x4c, 0xa1 // qdadd ge r1 r5 r12
};
const byte kInstruction_qdadd_lt_r10_r11_r4[] = {
  0x5b, 0xa0, 0x44, 0xb1 // qdadd lt r10 r11 r4
};
const byte kInstruction_qdadd_le_r1_r1_r5[] = {
  0x51, 0x10, 0x45, 0xd1 // qdadd le r1 r1 r5
};
const byte kInstruction_qdadd_al_r9_r1_r8[] = {
  0x51, 0x90, 0x48, 0xe1 // qdadd al r9 r1 r8
};
const byte kInstruction_qdadd_ne_r6_r8_r4[] = {
  0x58, 0x60, 0x44, 0x11 // qdadd ne r6 r8 r4
};
const byte kInstruction_qdadd_ge_r12_r2_r9[] = {
  0x52, 0xc0, 0x49, 0xa1 // qdadd ge r12 r2 r9
};
const byte kInstruction_qdadd_pl_r4_r3_r10[] = {
  0x53, 0x40, 0x4a, 0x51 // qdadd pl r4 r3 r10
};
const byte kInstruction_qdadd_eq_r14_r4_r11[] = {
  0x54, 0xe0, 0x4b, 0x01 // qdadd eq r14 r4 r11
};
const byte kInstruction_qdadd_cc_r9_r7_r6[] = {
  0x57, 0x90, 0x46, 0x31 // qdadd cc r9 r7 r6
};
const byte kInstruction_qdadd_ge_r12_r4_r5[] = {
  0x54, 0xc0, 0x45, 0xa1 // qdadd ge r12 r4 r5
};
const byte kInstruction_qdadd_hi_r2_r3_r4[] = {
  0x53, 0x20, 0x44, 0x81 // qdadd hi r2 r3 r4
};
const byte kInstruction_qdadd_cs_r0_r3_r1[] = {
  0x53, 0x00, 0x41, 0x21 // qdadd cs r0 r3 r1
};
const byte kInstruction_qdadd_hi_r6_r2_r8[] = {
  0x52, 0x60, 0x48, 0x81 // qdadd hi r6 r2 r8
};
const byte kInstruction_qdadd_cc_r3_r14_r13[] = {
  0x5e, 0x30, 0x4d, 0x31 // qdadd cc r3 r14 r13
};
const byte kInstruction_qdadd_gt_r11_r4_r7[] = {
  0x54, 0xb0, 0x47, 0xc1 // qdadd gt r11 r4 r7
};
const byte kInstruction_qdadd_hi_r5_r0_r12[] = {
  0x50, 0x50, 0x4c, 0x81 // qdadd hi r5 r0 r12
};
const byte kInstruction_qdadd_gt_r0_r14_r14[] = {
  0x5e, 0x00, 0x4e, 0xc1 // qdadd gt r0 r14 r14
};
const byte kInstruction_qdadd_hi_r9_r0_r10[] = {
  0x50, 0x90, 0x4a, 0x81 // qdadd hi r9 r0 r10
};
const byte kInstruction_qdadd_vc_r7_r11_r8[] = {
  0x5b, 0x70, 0x48, 0x71 // qdadd vc r7 r11 r8
};
const byte kInstruction_qdadd_pl_r11_r9_r6[] = {
  0x59, 0xb0, 0x46, 0x51 // qdadd pl r11 r9 r6
};
const byte kInstruction_qdadd_al_r3_r3_r7[] = {
  0x53, 0x30, 0x47, 0xe1 // qdadd al r3 r3 r7
};
const byte kInstruction_qdadd_mi_r5_r7_r9[] = {
  0x57, 0x50, 0x49, 0x41 // qdadd mi r5 r7 r9
};
const byte kInstruction_qdadd_cc_r11_r2_r4[] = {
  0x52, 0xb0, 0x44, 0x31 // qdadd cc r11 r2 r4
};
const byte kInstruction_qdadd_cc_r9_r13_r10[] = {
  0x5d, 0x90, 0x4a, 0x31 // qdadd cc r9 r13 r10
};
const byte kInstruction_qdadd_al_r5_r2_r6[] = {
  0x52, 0x50, 0x46, 0xe1 // qdadd al r5 r2 r6
};
const byte kInstruction_qdadd_ge_r9_r4_r6[] = {
  0x54, 0x90, 0x46, 0xa1 // qdadd ge r9 r4 r6
};
const byte kInstruction_qdadd_ls_r3_r3_r4[] = {
  0x53, 0x30, 0x44, 0x91 // qdadd ls r3 r3 r4
};
const byte kInstruction_qdadd_ge_r14_r1_r8[] = {
  0x51, 0xe0, 0x48, 0xa1 // qdadd ge r14 r1 r8
};
const byte kInstruction_qdadd_ls_r7_r12_r7[] = {
  0x5c, 0x70, 0x47, 0x91 // qdadd ls r7 r12 r7
};
const byte kInstruction_qdadd_al_r11_r10_r5[] = {
  0x5a, 0xb0, 0x45, 0xe1 // qdadd al r11 r10 r5
};
const byte kInstruction_qdadd_al_r7_r4_r6[] = {
  0x54, 0x70, 0x46, 0xe1 // qdadd al r7 r4 r6
};
const byte kInstruction_qdadd_vs_r12_r4_r10[] = {
  0x54, 0xc0, 0x4a, 0x61 // qdadd vs r12 r4 r10
};
const byte kInstruction_qdadd_eq_r4_r4_r4[] = {
  0x54, 0x40, 0x44, 0x01 // qdadd eq r4 r4 r4
};
const byte kInstruction_qdadd_vs_r6_r6_r12[] = {
  0x56, 0x60, 0x4c, 0x61 // qdadd vs r6 r6 r12
};
const byte kInstruction_qdadd_pl_r9_r3_r5[] = {
  0x53, 0x90, 0x45, 0x51 // qdadd pl r9 r3 r5
};
const byte kInstruction_qdadd_eq_r6_r5_r13[] = {
  0x55, 0x60, 0x4d, 0x01 // qdadd eq r6 r5 r13
};
const byte kInstruction_qdadd_cc_r8_r2_r12[] = {
  0x52, 0x80, 0x4c, 0x31 // qdadd cc r8 r2 r12
};
const byte kInstruction_qdadd_le_r4_r2_r0[] = {
  0x52, 0x40, 0x40, 0xd1 // qdadd le r4 r2 r0
};
const byte kInstruction_qdadd_lt_r7_r9_r8[] = {
  0x59, 0x70, 0x48, 0xb1 // qdadd lt r7 r9 r8
};
const byte kInstruction_qdadd_le_r4_r7_r11[] = {
  0x57, 0x40, 0x4b, 0xd1 // qdadd le r4 r7 r11
};
const byte kInstruction_qdadd_eq_r5_r7_r5[] = {
  0x57, 0x50, 0x45, 0x01 // qdadd eq r5 r7 r5
};
const byte kInstruction_qdadd_vc_r10_r7_r12[] = {
  0x57, 0xa0, 0x4c, 0x71 // qdadd vc r10 r7 r12
};
const byte kInstruction_qdadd_eq_r7_r10_r6[] = {
  0x5a, 0x70, 0x46, 0x01 // qdadd eq r7 r10 r6
};
const byte kInstruction_qdadd_pl_r1_r12_r2[] = {
  0x5c, 0x10, 0x42, 0x51 // qdadd pl r1 r12 r2
};
const byte kInstruction_qdadd_le_r14_r6_r6[] = {
  0x56, 0xe0, 0x46, 0xd1 // qdadd le r14 r6 r6
};
const byte kInstruction_qdadd_ne_r3_r8_r8[] = {
  0x58, 0x30, 0x48, 0x11 // qdadd ne r3 r8 r8
};
const byte kInstruction_qdadd_eq_r4_r12_r8[] = {
  0x5c, 0x40, 0x48, 0x01 // qdadd eq r4 r12 r8
};
const byte kInstruction_qdadd_ge_r11_r2_r3[] = {
  0x52, 0xb0, 0x43, 0xa1 // qdadd ge r11 r2 r3
};
const byte kInstruction_qdadd_hi_r12_r6_r11[] = {
  0x56, 0xc0, 0x4b, 0x81 // qdadd hi r12 r6 r11
};
const byte kInstruction_qdadd_cs_r4_r5_r10[] = {
  0x55, 0x40, 0x4a, 0x21 // qdadd cs r4 r5 r10
};
const byte kInstruction_qdadd_ge_r10_r2_r10[] = {
  0x52, 0xa0, 0x4a, 0xa1 // qdadd ge r10 r2 r10
};
const byte kInstruction_qdadd_ge_r5_r14_r6[] = {
  0x5e, 0x50, 0x46, 0xa1 // qdadd ge r5 r14 r6
};
const byte kInstruction_qdadd_gt_r13_r7_r5[] = {
  0x57, 0xd0, 0x45, 0xc1 // qdadd gt r13 r7 r5
};
const byte kInstruction_qdadd_ge_r13_r4_r12[] = {
  0x54, 0xd0, 0x4c, 0xa1 // qdadd ge r13 r4 r12
};
const byte kInstruction_qdadd_lt_r8_r10_r14[] = {
  0x5a, 0x80, 0x4e, 0xb1 // qdadd lt r8 r10 r14
};
const byte kInstruction_qdadd_le_r4_r3_r13[] = {
  0x53, 0x40, 0x4d, 0xd1 // qdadd le r4 r3 r13
};
const byte kInstruction_qdadd_pl_r0_r9_r0[] = {
  0x59, 0x00, 0x40, 0x51 // qdadd pl r0 r9 r0
};
const byte kInstruction_qdadd_eq_r2_r3_r1[] = {
  0x53, 0x20, 0x41, 0x01 // qdadd eq r2 r3 r1
};
const byte kInstruction_qdadd_vc_r0_r0_r3[] = {
  0x50, 0x00, 0x43, 0x71 // qdadd vc r0 r0 r3
};
const byte kInstruction_qdadd_mi_r10_r8_r11[] = {
  0x58, 0xa0, 0x4b, 0x41 // qdadd mi r10 r8 r11
};
const byte kInstruction_qdadd_mi_r5_r14_r14[] = {
  0x5e, 0x50, 0x4e, 0x41 // qdadd mi r5 r14 r14
};
const byte kInstruction_qdadd_gt_r5_r11_r2[] = {
  0x5b, 0x50, 0x42, 0xc1 // qdadd gt r5 r11 r2
};
const byte kInstruction_qdadd_al_r4_r7_r11[] = {
  0x57, 0x40, 0x4b, 0xe1 // qdadd al r4 r7 r11
};
const TestResult kReferenceqdadd[] = {
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r1_r9_r5),
    kInstruction_qdadd_hi_r1_r9_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r8_r6_r2),
    kInstruction_qdadd_pl_r8_r6_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r5_r8_r2),
    kInstruction_qdadd_hi_r5_r8_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r9_r2_r7),
    kInstruction_qdadd_vc_r9_r2_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r4_r6_r3),
    kInstruction_qdadd_lt_r4_r6_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r11_r6_r2),
    kInstruction_qdadd_le_r11_r6_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r8_r14_r4),
    kInstruction_qdadd_cc_r8_r14_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r5_r14_r6),
    kInstruction_qdadd_le_r5_r14_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r6_r1_r0),
    kInstruction_qdadd_lt_r6_r1_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r5_r0_r9),
    kInstruction_qdadd_lt_r5_r0_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r8_r12_r7),
    kInstruction_qdadd_le_r8_r12_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r7_r14_r6),
    kInstruction_qdadd_eq_r7_r14_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r7_r4_r6),
    kInstruction_qdadd_cs_r7_r4_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r9_r6_r9),
    kInstruction_qdadd_gt_r9_r6_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r13_r9_r1),
    kInstruction_qdadd_ne_r13_r9_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r13_r1_r13),
    kInstruction_qdadd_ge_r13_r1_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r8_r10_r2),
    kInstruction_qdadd_ls_r8_r10_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r0_r13_r5),
    kInstruction_qdadd_hi_r0_r13_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r13_r7_r8),
    kInstruction_qdadd_pl_r13_r7_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r4_r13_r11),
    kInstruction_qdadd_ge_r4_r13_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r5_r10_r5),
    kInstruction_qdadd_cs_r5_r10_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r5_r4_r3),
    kInstruction_qdadd_cs_r5_r4_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r6_r14_r8),
    kInstruction_qdadd_ls_r6_r14_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r3_r8_r6),
    kInstruction_qdadd_vs_r3_r8_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r7_r12_r3),
    kInstruction_qdadd_vc_r7_r12_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r1_r4_r1),
    kInstruction_qdadd_ge_r1_r4_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r4_r7_r10),
    kInstruction_qdadd_cc_r4_r7_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r2_r0_r13),
    kInstruction_qdadd_cc_r2_r0_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r9_r6_r8),
    kInstruction_qdadd_vs_r9_r6_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r14_r11_r13),
    kInstruction_qdadd_cs_r14_r11_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r5_r8_r4),
    kInstruction_qdadd_pl_r5_r8_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r2_r3_r7),
    kInstruction_qdadd_pl_r2_r3_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r7_r12_r14),
    kInstruction_qdadd_cs_r7_r12_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r6_r6_r1),
    kInstruction_qdadd_hi_r6_r6_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r6_r9_r6),
    kInstruction_qdadd_cc_r6_r9_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r12_r12_r0),
    kInstruction_qdadd_ne_r12_r12_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r9_r3_r8),
    kInstruction_qdadd_cc_r9_r3_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r13_r6_r1),
    kInstruction_qdadd_mi_r13_r6_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r4_r8_r6),
    kInstruction_qdadd_lt_r4_r8_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r11_r5_r9),
    kInstruction_qdadd_hi_r11_r5_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r6_r10_r6),
    kInstruction_qdadd_cc_r6_r10_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r10_r10_r5),
    kInstruction_qdadd_eq_r10_r10_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r5_r4_r11),
    kInstruction_qdadd_al_r5_r4_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r11_r11_r2),
    kInstruction_qdadd_pl_r11_r11_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r6_r14_r12),
    kInstruction_qdadd_ls_r6_r14_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r7_r7_r2),
    kInstruction_qdadd_vc_r7_r7_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r10_r8_r4),
    kInstruction_qdadd_eq_r10_r8_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r14_r7_r2),
    kInstruction_qdadd_al_r14_r7_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r3_r11_r10),
    kInstruction_qdadd_cs_r3_r11_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r11_r4_r0),
    kInstruction_qdadd_ls_r11_r4_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r11_r8_r9),
    kInstruction_qdadd_hi_r11_r8_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r2_r14_r13),
    kInstruction_qdadd_vs_r2_r14_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r1_r13_r9),
    kInstruction_qdadd_al_r1_r13_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r3_r9_r13),
    kInstruction_qdadd_eq_r3_r9_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r10_r3_r13),
    kInstruction_qdadd_ge_r10_r3_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r8_r5_r10),
    kInstruction_qdadd_pl_r8_r5_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r8_r11_r6),
    kInstruction_qdadd_vc_r8_r11_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r0_r0_r5),
    kInstruction_qdadd_eq_r0_r0_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r6_r5_r8),
    kInstruction_qdadd_ne_r6_r5_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r5_r13_r3),
    kInstruction_qdadd_hi_r5_r13_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r11_r14_r14),
    kInstruction_qdadd_ne_r11_r14_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r1_r0_r6),
    kInstruction_qdadd_mi_r1_r0_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r14_r8_r2),
    kInstruction_qdadd_le_r14_r8_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r9_r6_r5),
    kInstruction_qdadd_eq_r9_r6_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r11_r0_r13),
    kInstruction_qdadd_eq_r11_r0_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r4_r5_r14),
    kInstruction_qdadd_pl_r4_r5_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r13_r5_r13),
    kInstruction_qdadd_cs_r13_r5_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r0_r13_r8),
    kInstruction_qdadd_mi_r0_r13_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r2_r13_r3),
    kInstruction_qdadd_lt_r2_r13_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r8_r1_r11),
    kInstruction_qdadd_ls_r8_r1_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r14_r11_r8),
    kInstruction_qdadd_vc_r14_r11_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r4_r13_r12),
    kInstruction_qdadd_lt_r4_r13_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r2_r1_r14),
    kInstruction_qdadd_eq_r2_r1_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r9_r4_r14),
    kInstruction_qdadd_eq_r9_r4_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r10_r6_r13),
    kInstruction_qdadd_hi_r10_r6_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r12_r9_r4),
    kInstruction_qdadd_ge_r12_r9_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r9_r11_r14),
    kInstruction_qdadd_le_r9_r11_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r0_r9_r5),
    kInstruction_qdadd_ls_r0_r9_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r2_r3_r8),
    kInstruction_qdadd_mi_r2_r3_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r14_r10_r14),
    kInstruction_qdadd_ne_r14_r10_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r6_r2_r10),
    kInstruction_qdadd_eq_r6_r2_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r11_r0_r12),
    kInstruction_qdadd_lt_r11_r0_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r1_r12_r10),
    kInstruction_qdadd_ne_r1_r12_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r1_r0_r2),
    kInstruction_qdadd_cc_r1_r0_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r5_r5_r7),
    kInstruction_qdadd_al_r5_r5_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r7_r13_r1),
    kInstruction_qdadd_hi_r7_r13_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r4_r4_r9),
    kInstruction_qdadd_cs_r4_r4_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r14_r4_r14),
    kInstruction_qdadd_eq_r14_r4_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r10_r5_r14),
    kInstruction_qdadd_vs_r10_r5_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r4_r3_r11),
    kInstruction_qdadd_gt_r4_r3_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r14_r10_r12),
    kInstruction_qdadd_ne_r14_r10_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r2_r11_r0),
    kInstruction_qdadd_vs_r2_r11_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r5_r12_r7),
    kInstruction_qdadd_ge_r5_r12_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r7_r14_r6),
    kInstruction_qdadd_mi_r7_r14_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r8_r3_r8),
    kInstruction_qdadd_gt_r8_r3_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r9_r14_r3),
    kInstruction_qdadd_hi_r9_r14_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r2_r11_r2),
    kInstruction_qdadd_vc_r2_r11_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r11_r7_r12),
    kInstruction_qdadd_hi_r11_r7_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r6_r4_r11),
    kInstruction_qdadd_cs_r6_r4_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r12_r5_r9),
    kInstruction_qdadd_cs_r12_r5_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r5_r10_r5),
    kInstruction_qdadd_ls_r5_r10_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r0_r9_r13),
    kInstruction_qdadd_ls_r0_r9_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r3_r3_r5),
    kInstruction_qdadd_lt_r3_r3_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r0_r12_r8),
    kInstruction_qdadd_mi_r0_r12_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r3_r12_r12),
    kInstruction_qdadd_pl_r3_r12_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r8_r12_r5),
    kInstruction_qdadd_eq_r8_r12_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r7_r8_r1),
    kInstruction_qdadd_cc_r7_r8_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r2_r13_r10),
    kInstruction_qdadd_hi_r2_r13_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r7_r10_r10),
    kInstruction_qdadd_al_r7_r10_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r1_r12_r2),
    kInstruction_qdadd_vc_r1_r12_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r8_r5_r8),
    kInstruction_qdadd_cc_r8_r5_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r3_r7_r9),
    kInstruction_qdadd_ls_r3_r7_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r8_r10_r8),
    kInstruction_qdadd_al_r8_r10_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r4_r12_r10),
    kInstruction_qdadd_lt_r4_r12_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r10_r5_r11),
    kInstruction_qdadd_ge_r10_r5_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r3_r14_r4),
    kInstruction_qdadd_ls_r3_r14_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r3_r6_r12),
    kInstruction_qdadd_hi_r3_r6_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r6_r0_r4),
    kInstruction_qdadd_hi_r6_r0_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r11_r6_r0),
    kInstruction_qdadd_al_r11_r6_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r3_r1_r9),
    kInstruction_qdadd_mi_r3_r1_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r12_r13_r0),
    kInstruction_qdadd_mi_r12_r13_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r1_r2_r5),
    kInstruction_qdadd_le_r1_r2_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r4_r3_r14),
    kInstruction_qdadd_hi_r4_r3_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r6_r11_r11),
    kInstruction_qdadd_eq_r6_r11_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r14_r11_r14),
    kInstruction_qdadd_cc_r14_r11_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r4_r10_r0),
    kInstruction_qdadd_hi_r4_r10_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r7_r11_r1),
    kInstruction_qdadd_cc_r7_r11_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r14_r6_r10),
    kInstruction_qdadd_mi_r14_r6_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r2_r0_r11),
    kInstruction_qdadd_eq_r2_r0_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r13_r5_r12),
    kInstruction_qdadd_mi_r13_r5_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r2_r12_r5),
    kInstruction_qdadd_eq_r2_r12_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r12_r0_r2),
    kInstruction_qdadd_le_r12_r0_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r10_r10_r9),
    kInstruction_qdadd_vc_r10_r10_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r11_r11_r8),
    kInstruction_qdadd_ls_r11_r11_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r10_r11_r9),
    kInstruction_qdadd_hi_r10_r11_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r7_r12_r14),
    kInstruction_qdadd_vs_r7_r12_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r11_r14_r12),
    kInstruction_qdadd_gt_r11_r14_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r0_r12_r8),
    kInstruction_qdadd_vs_r0_r12_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r0_r5_r7),
    kInstruction_qdadd_al_r0_r5_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r5_r13_r8),
    kInstruction_qdadd_hi_r5_r13_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r9_r9_r7),
    kInstruction_qdadd_le_r9_r9_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r4_r9_r5),
    kInstruction_qdadd_cc_r4_r9_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r8_r1_r3),
    kInstruction_qdadd_vs_r8_r1_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r0_r10_r12),
    kInstruction_qdadd_cc_r0_r10_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r7_r14_r0),
    kInstruction_qdadd_eq_r7_r14_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r12_r9_r11),
    kInstruction_qdadd_vs_r12_r9_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r5_r9_r11),
    kInstruction_qdadd_gt_r5_r9_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r14_r13_r7),
    kInstruction_qdadd_cs_r14_r13_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r11_r3_r10),
    kInstruction_qdadd_mi_r11_r3_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r11_r8_r12),
    kInstruction_qdadd_hi_r11_r8_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r3_r8_r13),
    kInstruction_qdadd_cs_r3_r8_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r10_r12_r6),
    kInstruction_qdadd_pl_r10_r12_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r7_r3_r2),
    kInstruction_qdadd_vc_r7_r3_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r9_r0_r8),
    kInstruction_qdadd_mi_r9_r0_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r2_r13_r7),
    kInstruction_qdadd_eq_r2_r13_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r2_r14_r0),
    kInstruction_qdadd_ne_r2_r14_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r4_r10_r0),
    kInstruction_qdadd_vs_r4_r10_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r0_r2_r2),
    kInstruction_qdadd_ls_r0_r2_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r1_r6_r0),
    kInstruction_qdadd_cc_r1_r6_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r12_r0_r8),
    kInstruction_qdadd_lt_r12_r0_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r9_r3_r14),
    kInstruction_qdadd_cc_r9_r3_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r7_r9_r1),
    kInstruction_qdadd_vs_r7_r9_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r11_r9_r14),
    kInstruction_qdadd_eq_r11_r9_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r6_r10_r4),
    kInstruction_qdadd_pl_r6_r10_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r8_r5_r6),
    kInstruction_qdadd_ne_r8_r5_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r0_r6_r2),
    kInstruction_qdadd_cs_r0_r6_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r11_r12_r4),
    kInstruction_qdadd_eq_r11_r12_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r14_r3_r14),
    kInstruction_qdadd_lt_r14_r3_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r7_r12_r14),
    kInstruction_qdadd_le_r7_r12_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r2_r9_r9),
    kInstruction_qdadd_hi_r2_r9_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r8_r1_r0),
    kInstruction_qdadd_ne_r8_r1_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r5_r11_r2),
    kInstruction_qdadd_cc_r5_r11_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r0_r1_r2),
    kInstruction_qdadd_hi_r0_r1_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r4_r9_r4),
    kInstruction_qdadd_al_r4_r9_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r12_r7_r14),
    kInstruction_qdadd_cs_r12_r7_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r4_r12_r10),
    kInstruction_qdadd_cc_r4_r12_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r3_r5_r10),
    kInstruction_qdadd_al_r3_r5_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r5_r3_r7),
    kInstruction_qdadd_mi_r5_r3_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r10_r6_r2),
    kInstruction_qdadd_ls_r10_r6_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r0_r12_r11),
    kInstruction_qdadd_mi_r0_r12_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r12_r5_r6),
    kInstruction_qdadd_vc_r12_r5_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r3_r9_r4),
    kInstruction_qdadd_cs_r3_r9_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r4_r9_r11),
    kInstruction_qdadd_ls_r4_r9_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r14_r8_r13),
    kInstruction_qdadd_le_r14_r8_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r4_r10_r8),
    kInstruction_qdadd_gt_r4_r10_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r6_r9_r9),
    kInstruction_qdadd_al_r6_r9_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r8_r5_r12),
    kInstruction_qdadd_ne_r8_r5_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r0_r4_r8),
    kInstruction_qdadd_ne_r0_r4_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r7_r13_r3),
    kInstruction_qdadd_mi_r7_r13_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r11_r7_r0),
    kInstruction_qdadd_cc_r11_r7_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r1_r0_r12),
    kInstruction_qdadd_hi_r1_r0_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r8_r9_r3),
    kInstruction_qdadd_lt_r8_r9_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r0_r2_r1),
    kInstruction_qdadd_al_r0_r2_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r4_r3_r14),
    kInstruction_qdadd_vs_r4_r3_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r2_r11_r1),
    kInstruction_qdadd_ge_r2_r11_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r12_r9_r6),
    kInstruction_qdadd_lt_r12_r9_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r8_r2_r7),
    kInstruction_qdadd_ls_r8_r2_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r8_r13_r3),
    kInstruction_qdadd_le_r8_r13_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r11_r13_r14),
    kInstruction_qdadd_eq_r11_r13_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r1_r6_r13),
    kInstruction_qdadd_lt_r1_r6_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r3_r8_r11),
    kInstruction_qdadd_cs_r3_r8_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r12_r5_r4),
    kInstruction_qdadd_pl_r12_r5_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r8_r7_r2),
    kInstruction_qdadd_eq_r8_r7_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r2_r12_r2),
    kInstruction_qdadd_ls_r2_r12_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r14_r2_r3),
    kInstruction_qdadd_le_r14_r2_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r10_r11_r6),
    kInstruction_qdadd_ge_r10_r11_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r0_r2_r2),
    kInstruction_qdadd_hi_r0_r2_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r2_r0_r2),
    kInstruction_qdadd_ge_r2_r0_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r11_r14_r0),
    kInstruction_qdadd_vs_r11_r14_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r2_r0_r1),
    kInstruction_qdadd_lt_r2_r0_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r2_r5_r11),
    kInstruction_qdadd_cs_r2_r5_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r7_r14_r5),
    kInstruction_qdadd_ls_r7_r14_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r0_r0_r3),
    kInstruction_qdadd_pl_r0_r0_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r6_r8_r8),
    kInstruction_qdadd_ge_r6_r8_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r11_r1_r10),
    kInstruction_qdadd_le_r11_r1_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r5_r2_r7),
    kInstruction_qdadd_vs_r5_r2_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r4_r4_r8),
    kInstruction_qdadd_ne_r4_r4_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r9_r14_r13),
    kInstruction_qdadd_cc_r9_r14_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r14_r6_r3),
    kInstruction_qdadd_hi_r14_r6_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r0_r8_r0),
    kInstruction_qdadd_al_r0_r8_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r6_r11_r1),
    kInstruction_qdadd_lt_r6_r11_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r7_r6_r12),
    kInstruction_qdadd_ge_r7_r6_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r4_r6_r14),
    kInstruction_qdadd_cs_r4_r6_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r7_r6_r7),
    kInstruction_qdadd_cs_r7_r6_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r3_r7_r10),
    kInstruction_qdadd_cs_r3_r7_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r0_r2_r1),
    kInstruction_qdadd_ne_r0_r2_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r9_r10_r13),
    kInstruction_qdadd_vs_r9_r10_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r11_r14_r12),
    kInstruction_qdadd_vc_r11_r14_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r14_r8_r7),
    kInstruction_qdadd_ge_r14_r8_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r13_r0_r11),
    kInstruction_qdadd_lt_r13_r0_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r14_r13_r4),
    kInstruction_qdadd_lt_r14_r13_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r1_r10_r9),
    kInstruction_qdadd_al_r1_r10_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r11_r14_r11),
    kInstruction_qdadd_ge_r11_r14_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r11_r4_r11),
    kInstruction_qdadd_cs_r11_r4_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r0_r14_r7),
    kInstruction_qdadd_ge_r0_r14_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r1_r2_r9),
    kInstruction_qdadd_mi_r1_r2_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r5_r12_r3),
    kInstruction_qdadd_eq_r5_r12_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r1_r5_r12),
    kInstruction_qdadd_ge_r1_r5_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r10_r11_r4),
    kInstruction_qdadd_lt_r10_r11_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r1_r1_r5),
    kInstruction_qdadd_le_r1_r1_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r9_r1_r8),
    kInstruction_qdadd_al_r9_r1_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r6_r8_r4),
    kInstruction_qdadd_ne_r6_r8_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r12_r2_r9),
    kInstruction_qdadd_ge_r12_r2_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r4_r3_r10),
    kInstruction_qdadd_pl_r4_r3_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r14_r4_r11),
    kInstruction_qdadd_eq_r14_r4_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r9_r7_r6),
    kInstruction_qdadd_cc_r9_r7_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r12_r4_r5),
    kInstruction_qdadd_ge_r12_r4_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r2_r3_r4),
    kInstruction_qdadd_hi_r2_r3_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r0_r3_r1),
    kInstruction_qdadd_cs_r0_r3_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r6_r2_r8),
    kInstruction_qdadd_hi_r6_r2_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r3_r14_r13),
    kInstruction_qdadd_cc_r3_r14_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r11_r4_r7),
    kInstruction_qdadd_gt_r11_r4_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r5_r0_r12),
    kInstruction_qdadd_hi_r5_r0_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r0_r14_r14),
    kInstruction_qdadd_gt_r0_r14_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r9_r0_r10),
    kInstruction_qdadd_hi_r9_r0_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r7_r11_r8),
    kInstruction_qdadd_vc_r7_r11_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r11_r9_r6),
    kInstruction_qdadd_pl_r11_r9_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r3_r3_r7),
    kInstruction_qdadd_al_r3_r3_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r5_r7_r9),
    kInstruction_qdadd_mi_r5_r7_r9,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r11_r2_r4),
    kInstruction_qdadd_cc_r11_r2_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r9_r13_r10),
    kInstruction_qdadd_cc_r9_r13_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r5_r2_r6),
    kInstruction_qdadd_al_r5_r2_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r9_r4_r6),
    kInstruction_qdadd_ge_r9_r4_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r3_r3_r4),
    kInstruction_qdadd_ls_r3_r3_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r14_r1_r8),
    kInstruction_qdadd_ge_r14_r1_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ls_r7_r12_r7),
    kInstruction_qdadd_ls_r7_r12_r7,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r11_r10_r5),
    kInstruction_qdadd_al_r11_r10_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r7_r4_r6),
    kInstruction_qdadd_al_r7_r4_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r12_r4_r10),
    kInstruction_qdadd_vs_r12_r4_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r4_r4_r4),
    kInstruction_qdadd_eq_r4_r4_r4,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vs_r6_r6_r12),
    kInstruction_qdadd_vs_r6_r6_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r9_r3_r5),
    kInstruction_qdadd_pl_r9_r3_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r6_r5_r13),
    kInstruction_qdadd_eq_r6_r5_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cc_r8_r2_r12),
    kInstruction_qdadd_cc_r8_r2_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r4_r2_r0),
    kInstruction_qdadd_le_r4_r2_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r7_r9_r8),
    kInstruction_qdadd_lt_r7_r9_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r4_r7_r11),
    kInstruction_qdadd_le_r4_r7_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r5_r7_r5),
    kInstruction_qdadd_eq_r5_r7_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r10_r7_r12),
    kInstruction_qdadd_vc_r10_r7_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r7_r10_r6),
    kInstruction_qdadd_eq_r7_r10_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r1_r12_r2),
    kInstruction_qdadd_pl_r1_r12_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r14_r6_r6),
    kInstruction_qdadd_le_r14_r6_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ne_r3_r8_r8),
    kInstruction_qdadd_ne_r3_r8_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r4_r12_r8),
    kInstruction_qdadd_eq_r4_r12_r8,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r11_r2_r3),
    kInstruction_qdadd_ge_r11_r2_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_hi_r12_r6_r11),
    kInstruction_qdadd_hi_r12_r6_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_cs_r4_r5_r10),
    kInstruction_qdadd_cs_r4_r5_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r10_r2_r10),
    kInstruction_qdadd_ge_r10_r2_r10,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r5_r14_r6),
    kInstruction_qdadd_ge_r5_r14_r6,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r13_r7_r5),
    kInstruction_qdadd_gt_r13_r7_r5,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_ge_r13_r4_r12),
    kInstruction_qdadd_ge_r13_r4_r12,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_lt_r8_r10_r14),
    kInstruction_qdadd_lt_r8_r10_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_le_r4_r3_r13),
    kInstruction_qdadd_le_r4_r3_r13,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_pl_r0_r9_r0),
    kInstruction_qdadd_pl_r0_r9_r0,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_eq_r2_r3_r1),
    kInstruction_qdadd_eq_r2_r3_r1,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_vc_r0_r0_r3),
    kInstruction_qdadd_vc_r0_r0_r3,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r10_r8_r11),
    kInstruction_qdadd_mi_r10_r8_r11,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_mi_r5_r14_r14),
    kInstruction_qdadd_mi_r5_r14_r14,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_gt_r5_r11_r2),
    kInstruction_qdadd_gt_r5_r11_r2,
  },
  {
    ARRAY_SIZE(kInstruction_qdadd_al_r4_r7_r11),
    kInstruction_qdadd_al_r4_r7_r11,
  },
};

#endif  // VIXL_ASSEMBLER_COND_RD_RN_RM_QDADD_A32_H_
