// Copyright 2015, VIXL authors
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
//   * Redistributions of source code must retain the above copyright notice,
//     this list of conditions and the following disclaimer.
//   * Redistributions in binary form must reproduce the above copyright notice,
//     this list of conditions and the following disclaimer in the documentation
//     and/or other materials provided with the distribution.
//   * Neither the name of ARM Limited nor the names of its contributors may be
//     used to endorse or promote products derived from this software without
//     specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS CONTRIBUTORS "AS IS" AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
// DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
// FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
// CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
// OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


// ---------------------------------------------------------------------
// This file is auto generated using tools/generate_simulator_traces.py.
//
// PLEASE DO NOT EDIT.
// ---------------------------------------------------------------------

#ifndef VIXL_SIMULATOR_COND_RD_RN_RM_UHSAX_T32_H_
#define VIXL_SIMULATOR_COND_RD_RN_RM_UHSAX_T32_H_

const Inputs kOutputs_Uhsax_Condition_eq_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x40000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x20000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x10000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xc0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xa0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x90000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x60000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x50000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x30000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xe0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xd0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xb0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x70000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xf0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
};
const Inputs kOutputs_Uhsax_Condition_ne_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x40000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x20000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x10000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xc0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xa0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x90000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x60000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x50000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x30000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xe0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xd0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xb0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x70000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xf0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
};
const Inputs kOutputs_Uhsax_Condition_cs_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x40000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x20000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x10000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xc0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xa0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x90000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x60000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x50000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x30000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xe0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xd0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xb0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x70000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xf0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
};
const Inputs kOutputs_Uhsax_Condition_cc_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x40000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x20000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x10000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xc0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xa0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x90000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x60000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x50000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x30000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xe0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xd0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xb0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x70000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xf0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
};
const Inputs kOutputs_Uhsax_Condition_mi_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x40000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x20000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x10000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xc0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xa0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x90000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x60000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x50000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x30000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xe0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xd0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xb0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x70000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xf0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
};
const Inputs kOutputs_Uhsax_Condition_pl_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x40000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x20000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x10000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xc0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xa0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x90000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x60000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x50000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x30000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xe0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xd0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xb0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x70000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xf0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
};
const Inputs kOutputs_Uhsax_Condition_vs_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x40000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x20000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x10000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xc0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xa0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x90000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x60000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x50000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x30000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xe0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xd0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xb0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x70000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xf0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
};
const Inputs kOutputs_Uhsax_Condition_vc_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x40000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x20000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x10000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xc0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xa0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x90000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x60000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x50000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x30000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xe0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xd0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xb0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x70000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xf0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
};
const Inputs kOutputs_Uhsax_Condition_hi_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x40000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x20000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x10000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xc0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xa0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x90000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x60000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x50000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x30000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xe0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xd0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xb0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x70000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xf0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
};
const Inputs kOutputs_Uhsax_Condition_ls_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x40000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x20000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x10000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xc0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xa0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x90000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x60000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x50000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x30000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xe0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xd0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xb0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x70000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xf0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
};
const Inputs kOutputs_Uhsax_Condition_ge_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x40000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x20000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x10000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xc0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xa0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x90000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x60000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x50000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x30000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xe0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xd0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xb0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x70000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xf0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
};
const Inputs kOutputs_Uhsax_Condition_lt_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x40000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x20000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x10000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xc0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xa0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x90000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x60000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x50000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x30000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xe0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xd0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xb0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x70000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xf0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
};
const Inputs kOutputs_Uhsax_Condition_gt_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x40000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x20000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x10000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xc0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xa0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x90000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x60000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x50000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x30000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xe0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xd0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xb0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x70000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0xf0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
};
const Inputs kOutputs_Uhsax_Condition_le_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x40000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x20000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x10000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xc0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xa0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x90000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x60000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x50000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x30000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xe0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xd0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xb0000000, 0x00000000, 0x00000000, 0xabababab, 0xabababab, 0xabababab },
  { 0x70000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xf0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
};
const Inputs kOutputs_Uhsax_Condition_al_r0_r0_r0[] = {
  { 0x80000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x40000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x20000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x10000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xc0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xa0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x90000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x60000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x50000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x30000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xe0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xd0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xb0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0x70000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
  { 0xf0000000, 0x00000000, 0x00000000, 0x0000abab, 0x0000abab, 0x0000abab },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r0_r0_r0[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r1_r1_r1[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r2_r2_r2[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r3_r3_r3[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r4_r4_r4[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r5_r5_r5[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r6_r6_r6[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r7_r7_r7[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r8_r8_r8[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r9_r9_r9[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r10_r10_r10[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r11_r11_r11[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r12_r12_r12[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRnIsRm_al_r14_r14_r14[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0xffff0001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0xfff00010, 0xfff00010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0xffc1003e, 0xffc1003e },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0xffc1003f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0xffc0003f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0xc0013ffe, 0xc0013ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0xc0003fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x00003333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x00005555, 0x00005555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0xc001bffe, 0xc001bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0xc000bffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0xc000bfff, 0xc000bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x40004000, 0x40004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x3fff4000, 0x3fff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0x0000aaaa, 0x0000aaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0x0000cccc, 0x0000cccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0x3fffc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0x3ffec000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0x3ffec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0x003fffbf, 0x003fffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0x003effc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0x003effc1, 0x003effc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0x000fffef, 0x000fffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0x0001fffe, 0x0001fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0x0000fffe, 0x0000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0x0000ffff, 0x0000ffff },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r14_r14_r3[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r1_r1_r2[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r12_r12_r7[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r10_r10_r6[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r4_r4_r9[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r5_r5_r6[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r2_r2_r4[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r7_r7_r11[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r7_r7_r12[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRn_al_r2_r2_r10[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0x7fc04001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x803f8000, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0x7fc14001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfff, 0x7fffbfff, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555d554, 0x1555d554, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x803fbffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13fff, 0xffc13fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f800f, 0x803f800f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0x003fffc0, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0xc000803e, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00017fff, 0x00017fff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000400f, 0x8000400f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffc0, 0x000fffc0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003e, 0xc001003e, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0x2aaad516, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffef, 0x0000ffef, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaab2aaa, 0xeaab2aaa, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x66665999, 0x66665999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0xffff0000, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10010, 0xffc10010, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0x3ffec001, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x3fc17fff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0xc03ffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4010, 0xffff4010, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0x003fc001, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xd5559554, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00003ffe, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0xc0007fff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0xbfffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0x7fffbfc0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0xc000fffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc001, 0x3fffc001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbfff, 0x803fbfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc00000, 0x3fc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0x7ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0x7fffbfc1, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0xffff7fff, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x803f803f, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0x3ffeffef, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007ffe, 0x00007ffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x15552aab, 0x15552aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00001, 0xffc00001, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0x15565555, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0x40007fc1, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0x40007fc0, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad515, 0x2aaad515, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x55455555, 0x55455555, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x8000403f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a1999, 0xd99a1999, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x55165555, 0x55165555, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffffffe, 0x3ffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0xfff03ffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbffe, 0x3fffbffe, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0407fff, 0xc0407fff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0x003fbfff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a9999, 0x999a9999, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5557fff, 0xd5557fff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017fff, 0x80017fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x8010800f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x3fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc0, 0x3ffeffc0, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0x7fff7fc0, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0x1999e664, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffe7fff, 0x3ffe7fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0xffff0001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a66a4, 0x999a66a4, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aa92aaa, 0x2aa92aaa, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0x0001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0xaaab5594, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0xc0010000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fc1, 0x40017fc1, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0xc0013fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b9999, 0x999b9999, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000403f, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6665a666, 0x6665a666, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x2aaa6aaa, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x8001403f, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0xd999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x19981999, 0x19981999, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e8000, 0x803e8000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803e, 0x803f803e, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0x003ebfff, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ffe, 0x7ffe7ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfff, 0x0000bfff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0x003efffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa665, 0x999aa665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0x003effc0, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fff, 0x7fc07fff, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0x66666666, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0x1999e665, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x3fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26669999, 0x26669999, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0x3ffec000, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80013fff, 0x80013fff, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0xeaaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0xfffffffe, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0xffff4000, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0x3fffffc0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0008000, 0xc0008000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x3fef7fff, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0x7fff7fff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0108000, 0xc0108000, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0x3ffeffc1, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0x0001ffc0, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0x5555aa6a, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x99d89999, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07ffe, 0x3fc07ffe, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0x3fffc000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0xc0014000, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6c2aaa, 0x2a6c2aaa, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0xe66619d9, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0x7fff4000, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0x40007fff, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00003fff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aab, 0x55556aab, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0010, 0xffff0010, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bfff, 0xc001bfff, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0xeaaad553, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x2a6b2aaa, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0x0000c000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc10000, 0x3fc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0x5555aa6b, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0x66669959, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0x003fffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0xfff00001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0x26676666, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0x0001c000, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x3fffbfff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x80004000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0x7fffbff0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x80017ffe, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0xe6665998, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0xc001003f, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0xffc10000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0x2aaad554, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0xbfff7fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x00003333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ff0, 0x7fff7ff0, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0x3ffefffe, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0x66669989, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc1, 0x3fffffc1, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0xeaaaaaaa, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0x5555aaa9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0x6666995a, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0xc0017fff, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0xbfff800f, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0xd5552ae9, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0xffff3fff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40000000, 0x40000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0xffff3ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effbf, 0x003effbf, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0xbfff803e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0x7fff7fc1, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x803ebffe, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0x0000ffc0, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d99999, 0x99d99999, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x8001803e, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0408000, 0xc0408000, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd593d554, 0xd593d554, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0x00008001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0x2aaad545, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0107fff, 0xc0107fff, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403e, 0x8000403e, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0xffc00000, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0x003fc000, 0xffffff81 },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r1_r12_r1[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r4_r3_r4[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r0_r2_r0[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r10_r4_r10[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r4_r8_r4[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r4_r1_r4[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r8_r11_r8[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r1_r10_r1[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r2_r0_r2[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RdIsRm_al_r6_r7_r6[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0xfff0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad553, 0x7ffffffd, 0xeaaad553 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8000, 0x40014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x7fc07ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xc0007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff82, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xfffffffe, 0x7ffe7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a9a2aaa, 0x55555555, 0x2a9a2aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669998, 0xfffffffe, 0x66669998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xc0017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x3fc07fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff80, 0x7fc17fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040800f, 0x00000020, 0x8040800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8002, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff80, 0x7fc07fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004010, 0x00000020, 0x00004010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fc0, 0xffffff81, 0x7ffe7fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc1, 0xffffff82, 0x7fc17fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc1, 0xffffff83, 0x003fffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x3fff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599a, 0xffff8001, 0x6666599a },
  { 0x00000000, 0x00000000, 0x00000000, 0x00004001, 0x00000002, 0x00004001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55559555, 0xaaaaaaaa, 0x55559555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xfffffffe, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x40007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xc000fffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfff, 0xffffffff, 0x0001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x55155555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000003e, 0x0000007d, 0x0000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x15555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaabaaaaa, 0x55555555, 0xaabaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xbfff803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x19995999, 0x33333333, 0x19995999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e626, 0xffffff80, 0x1999e626 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003fff, 0x00007ffe, 0x00003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa6aaa, 0x55555555, 0x2aaa6aaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc000, 0xffff8001, 0x000fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5556, 0x00000002, 0xaaab5556 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5569554, 0xaaaaaaaa, 0xd5569554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803f, 0x0000007f, 0x803e803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03fffff, 0x7fffffff, 0xc03fffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0x003fc000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8001, 0xffff8003, 0x7fff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3bbb6eee, 0xaaaaaaaa, 0x3bbb6eee },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0x2665e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0x0001ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000ffffe, 0xfffffffe, 0x000ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x26676666, 0xcccccccc, 0x26676666 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000010, 0x00000020, 0xc0000010 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffe, 0x803fbffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5593, 0x0000007d, 0xaaab5593 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffe, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeefbbbb, 0xaaaaaaaa, 0xeeefbbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0xe66619d9, 0x0000007f, 0xe66619d9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010000, 0x00000001, 0xc0010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xffffffff, 0x2aaad554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff83, 0x7fff7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8000, 0x7fff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x7fc04000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fff, 0xffffffff, 0x7fef7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfef, 0xffffffe0, 0x0000bfef },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bffe, 0xfffffffe, 0x0000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc00000, 0x00000000, 0xffc00000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0xffc1003f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffd, 0xc03efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd595d554, 0xaaaaaaaa, 0xd595d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x80007fff, 0x00000000, 0x80007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1554d554, 0xaaaaaaaa, 0x1554d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fbfff, 0xffff8000, 0x003fbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad545, 0xffffffe0, 0x2aaad545 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665998, 0x00007ffd, 0xe6665998 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6665999, 0x00007fff, 0xe6665999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffd, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17ffe, 0x7ffffffd, 0x3fc17ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0x003efffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xbfffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001800f, 0x00000020, 0x8001800f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000003e, 0x0000007d, 0xc000003e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14001, 0xffff8002, 0x7fc14001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xbfff7fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebffe, 0x00007ffe, 0x803ebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec001, 0xffff8003, 0x003ec001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000001, 0x00010000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebffe, 0x00007ffe, 0xbffebffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0018000, 0x80000001, 0xc0018000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0xffff3fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffefffe, 0xfffffffd, 0x3ffefffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffd, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e627, 0xffffff82, 0x1999e627 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x80000000, 0xc0013fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xffffffff, 0x1999e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffc0, 0xffffff81, 0x0000ffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0xc0010010 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000002, 0xbfff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffef, 0xffffffe0, 0x3ffeffef },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x5555aa6c },
  { 0x00000000, 0x00000000, 0x00000000, 0xeeef4444, 0x33333333, 0xeeef4444 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaaaaaa, 0x55555555, 0xeaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3ffe, 0x00007ffd, 0xffff3ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0x8040bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc0, 0xffffff80, 0x40007fc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0xffff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03fff, 0x00007ffe, 0xfff03fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0x0000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0x803f8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x3fc17fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0xc0003ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff8000, 0x80000001, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc1, 0xffffff82, 0x7fef7fc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aba, 0x00000020, 0xd5552aba },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6b, 0xffffff81, 0x5555aa6b },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0x7ffffffe, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x15565555, 0xaaaaaaaa, 0x15565555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000001, 0x999a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e664, 0xfffffffd, 0x1999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9556, 0xffff8002, 0x2aaa9556 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x8001400f },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aea, 0x0000007f, 0xd5552aea },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403f, 0x0000007f, 0x8001403f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffeffc1, 0xffffff83, 0x3ffeffc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe667e665, 0xcccccccc, 0xe667e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x40007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x1111bbbb, 0xcccccccc, 0x1111bbbb },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc1, 0xffffff83, 0x0000bfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x00007ffe, 0xc000bffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x80017ffe, 0x00007ffe, 0x80017ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000403f, 0x0000007f, 0x0000403f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0xfff03ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff4000, 0x00000001, 0xffff4000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fc001, 0xffff8003, 0x000fc001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x00008001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x7fffbfc1 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03ffffe, 0x7ffffffd, 0xc03ffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001c000, 0xffff8001, 0x0001c000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000ffff, 0x7fffffff, 0xc000ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666199a, 0x80000001, 0x2666199a },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x40017fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803e, 0x0000007e, 0x8010803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0x0000ffbf },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e664, 0x7ffffffd, 0xd999e664 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effef, 0xffffffe0, 0x003effef },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e803e, 0x0000007e, 0x803e803e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f803f, 0x0000007f, 0x803f803f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0xffc0003f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000000, 0x3fff0000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000000, 0xffc10000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x99d89999, 0x33333333, 0x99d89999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0x003fffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xd594d554 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0x8010803f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7ffe, 0x7ffffffd, 0x3fff7ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x195a1999, 0x33333333, 0x195a1999 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aaa9, 0xfffffffe, 0x5555aaa9 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803e, 0x0000007d, 0xbffe803e },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xd99a6666 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfc0, 0xffffff81, 0x0000bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0x7ffffffe, 0x3fffbfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000bfbf, 0xffffff80, 0x0000bfbf },
  { 0x00000000, 0x00000000, 0x00000000, 0x80004000, 0x00000001, 0x80004000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0x3fffffc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc14000, 0xffff8001, 0x7fc14000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007ffe, 0xc0003fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0x8001bfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00018001, 0xffff8003, 0x00018001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0014000, 0x80000001, 0xc0014000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001ffff, 0x7fffffff, 0xc001ffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ebfff, 0xffff8000, 0x003ebfff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff82, 0x0001bfc0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2666e665, 0xcccccccc, 0x2666e665 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03effff, 0x7fffffff, 0xc03effff },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffebfff, 0x00007fff, 0xbffebfff },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r1_r12_r12[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r6_r9_r9[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r12_r7_r7[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r11_r8_r8[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r14_r0_r0[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r8_r4_r4[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r0_r8_r8[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r5_r3_r3[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r8_r5_r5[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RnIsRm_al_r5_r10_r10[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x000fffef, 0xffffffe0, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bffe, 0x7ffffffe, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001bffe, 0x7ffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc0003f, 0x0000007f, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013fff, 0x00007ffe, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x00005555, 0x55555555, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003e, 0x0000007d, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc1, 0xffffff83, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0013ffe, 0x00007ffd, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffbfff, 0xffff8000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffff, 0xffffffff, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffc000, 0xffff8001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff81, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000bfff, 0x7fffffff, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0001, 0x00000002, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff4000, 0x80000001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffd, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004000, 0x80000000, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00010, 0x00000020, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8002, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007e, 0x0000007e },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r3_r4[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r3_r11_r1[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r11_r2_r6[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r0_r5[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r11_r6_r12[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r10_r8_r4[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r4_r3_r1[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r12_r11_r14[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r9_r4_r11[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const Inputs kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r4_r6[] = {
  { 0x00000000, 0x00000000, 0x00000000, 0x40014000, 0xffff8001, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008001, 0xffff8003, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfffbfff, 0x00007fff, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803f, 0x0000007f, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x40017fff, 0xffffffff, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc000, 0xffff8001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5594, 0x0000007e, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007e, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff81, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003ffe, 0x00007ffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66566666, 0xcccccccc, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaab5565, 0x00000020, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xe666199a, 0x00000002, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010803f, 0x0000007f, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999aa664, 0x00007ffd, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffe, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001bfff, 0x00007fff, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd99a6666, 0x80000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10000, 0x00000001, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad516, 0xffffff82, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000ffbf, 0xffffff80, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8002, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6666, 0x00000000, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0xd999e665, 0x7ffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x803fbffe, 0x00007ffd, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff0000, 0x80000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x19891999, 0x33333333, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7ff0, 0xffffffe0, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaa9, 0x7ffffffe, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6a5e665, 0xcccccccc, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x99a99999, 0x33333333, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000fffe, 0x7ffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff80, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007e, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001400f, 0x00000020, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x80014000, 0x00000001, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000cccc, 0xcccccccc, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x15555555, 0xaaaaaaaa, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff403f, 0x0000007f, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc0, 0xffffff81, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc000803e, 0x0000007d, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5559554, 0xaaaaaaaa, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0000001, 0x00000002, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aaa, 0x00000000, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6a, 0xffffff80, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55155555, 0xaaaaaaaa, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03f7fff, 0x80000000, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003ffe, 0x00007ffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef4000, 0xffff8000, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000aaaa, 0xaaaaaaaa, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03efffe, 0x7ffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff00001, 0x00000002, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7ffe, 0xfffffffd, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x5555aa6c, 0xffffff83, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff4000, 0xffff8001, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0003fff, 0x00007fff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x003efffe, 0xfffffffe, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x80000000, 0xffffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bffe, 0xfffffffd, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc17fff, 0x7fffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ff0, 0xffffffe0, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x803f8000, 0x00000001, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666599b, 0xffff8003, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999b5999, 0x33333333, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003f, 0x0000007f, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55556aac, 0xffff8003, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ffffe, 0xfffffffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000fffe, 0xfffffffe, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffef, 0xffffffe0, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffc0, 0xffffff82, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7ffe, 0x00007ffd, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc10001, 0x00000002, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xeaaad554, 0x7fffffff, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaad554, 0xfffffffe, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec001, 0xffff8003, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd556d554, 0xaaaaaaaa, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x8010800f, 0x00000020, 0xffffffe0 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffe8000, 0x80000001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xe6661999, 0x00000000, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff7fff, 0x80000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ff00000, 0x80000001, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07fc1, 0xffffff82, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0007fff, 0x00000000, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007e, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffeffff, 0x7fffffff, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x55549555, 0xaaaaaaaa, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669959, 0xffffff80, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff7fff, 0x00000000, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffc0, 0xffffff82, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x80000000, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaabaaaa, 0x55555555, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x6666995a, 0xffffff81, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbff0, 0xffffffe0, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff8000, 0x00000001, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fef7fc0, 0xffffff80, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66666666, 0xcccccccc, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0xffff8001, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x2aaa9555, 0xffff8001, 0xaaaaaaaa },
  { 0x00000000, 0x00000000, 0x00000000, 0x1999e665, 0xfffffffe, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x2665e665, 0xcccccccc, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff03ffe, 0x00007ffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007ffe, 0xfffffffd, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x80018000, 0x00000001, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7ffe, 0x7ffffffd, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8001, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff3fff, 0x00007ffe, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x00003333, 0x33333333, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003ec000, 0xffff8002, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc1, 0xffffff82, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc1003f, 0x0000007f, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff0000, 0x00000001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc03fff, 0x00007fff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04000, 0xffff8000, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001bfc0, 0xffffff81, 0x7ffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x40004001, 0xffff8003, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7fffffff, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc03e7fff, 0x80000000, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fef7fff, 0x7ffffffe, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803e800f, 0x00000020, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fffbfc0, 0xffffff81, 0x80000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3ffec000, 0xffff8001, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfffffffe, 0x7ffffffe, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0017fff, 0x80000000, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xd594d554, 0xaaaaaaaa, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffff, 0xffffffff, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x0000c000, 0xffff8001, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x8000403f, 0x0000007f, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0xc001003f, 0x0000007f, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x00007fff, 0xffff8000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001fffe, 0xfffffffe, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc07ffe, 0xfffffffd, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fff, 0xffffffff, 0x00007fff },
  { 0x00000000, 0x00000000, 0x00000000, 0x66656666, 0xcccccccc, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fffbf, 0xffffff80, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552ae9, 0x0000007e, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fffffbf, 0xffffff80, 0xffff8000 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001803e, 0x0000007d, 0xfffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc1, 0xffffff82, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xaaeaaaaa, 0x55555555, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe4000, 0xffff8001, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x66669989, 0xffffffe0, 0x33333333 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5552aab, 0x00000001, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fff, 0xffffffff, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x80003fff, 0x00000000, 0x7fffffff },
  { 0x00000000, 0x00000000, 0x00000000, 0x8001403e, 0x0000007d, 0x7ffffffe },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff803e, 0x0000007e, 0xffff8001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x803ebfff, 0x00007fff, 0xffffff83 },
  { 0x00000000, 0x00000000, 0x00000000, 0xfff0003e, 0x0000007d, 0x00000020 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x40014001, 0xffff8002, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x2a6b2aaa, 0x55555555, 0x0000007f },
  { 0x00000000, 0x00000000, 0x00000000, 0xc0010010, 0x00000020, 0x00007ffd },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fc0, 0xffffff80, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffc13ffe, 0x00007ffd, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fff7fff, 0x7ffffffe, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff8000, 0xffff8001, 0x80000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc04001, 0xffff8003, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x003fc001, 0xffff8003, 0xffffff81 },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbffe803f, 0x0000007f, 0xffff8003 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fff7fff, 0xffffffff, 0x00000000 },
  { 0x00000000, 0x00000000, 0x00000000, 0xd5556aaa, 0x00007fff, 0x55555555 },
  { 0x00000000, 0x00000000, 0x00000000, 0x40007fc1, 0xffffff82, 0x00007ffe },
  { 0x00000000, 0x00000000, 0x00000000, 0x3fc07fff, 0x7ffffffe, 0x0000007e },
  { 0x00000000, 0x00000000, 0x00000000, 0x7ffe7fff, 0xffffffff, 0x00000002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x8040bffe, 0x00007ffd, 0xffffff80 },
  { 0x00000000, 0x00000000, 0x00000000, 0x999a6667, 0x00000002, 0xcccccccc },
  { 0x00000000, 0x00000000, 0x00000000, 0x0001ffc0, 0xffffff81, 0xfffffffd },
  { 0x00000000, 0x00000000, 0x00000000, 0xffff003e, 0x0000007d, 0x00000001 },
  { 0x00000000, 0x00000000, 0x00000000, 0x003effc0, 0xffffff82, 0xffffff82 },
  { 0x00000000, 0x00000000, 0x00000000, 0xbfff800f, 0x00000020, 0xffff8002 },
  { 0x00000000, 0x00000000, 0x00000000, 0x7fc17fc0, 0xffffff81, 0x0000007d },
  { 0x00000000, 0x00000000, 0x00000000, 0x1555aaaa, 0x7fffffff, 0x55555555 },
};
const TestResult kReferenceUhsax[] = {
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_eq_r0_r0_r0),
    kOutputs_Uhsax_Condition_eq_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_ne_r0_r0_r0),
    kOutputs_Uhsax_Condition_ne_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_cs_r0_r0_r0),
    kOutputs_Uhsax_Condition_cs_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_cc_r0_r0_r0),
    kOutputs_Uhsax_Condition_cc_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_mi_r0_r0_r0),
    kOutputs_Uhsax_Condition_mi_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_pl_r0_r0_r0),
    kOutputs_Uhsax_Condition_pl_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_vs_r0_r0_r0),
    kOutputs_Uhsax_Condition_vs_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_vc_r0_r0_r0),
    kOutputs_Uhsax_Condition_vc_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_hi_r0_r0_r0),
    kOutputs_Uhsax_Condition_hi_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_ls_r0_r0_r0),
    kOutputs_Uhsax_Condition_ls_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_ge_r0_r0_r0),
    kOutputs_Uhsax_Condition_ge_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_lt_r0_r0_r0),
    kOutputs_Uhsax_Condition_lt_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_gt_r0_r0_r0),
    kOutputs_Uhsax_Condition_gt_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_le_r0_r0_r0),
    kOutputs_Uhsax_Condition_le_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_Condition_al_r0_r0_r0),
    kOutputs_Uhsax_Condition_al_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r0_r0_r0),
    kOutputs_Uhsax_RdIsRnIsRm_al_r0_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r1_r1_r1),
    kOutputs_Uhsax_RdIsRnIsRm_al_r1_r1_r1,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r2_r2_r2),
    kOutputs_Uhsax_RdIsRnIsRm_al_r2_r2_r2,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r3_r3_r3),
    kOutputs_Uhsax_RdIsRnIsRm_al_r3_r3_r3,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r4_r4_r4),
    kOutputs_Uhsax_RdIsRnIsRm_al_r4_r4_r4,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r5_r5_r5),
    kOutputs_Uhsax_RdIsRnIsRm_al_r5_r5_r5,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r6_r6_r6),
    kOutputs_Uhsax_RdIsRnIsRm_al_r6_r6_r6,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r7_r7_r7),
    kOutputs_Uhsax_RdIsRnIsRm_al_r7_r7_r7,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r8_r8_r8),
    kOutputs_Uhsax_RdIsRnIsRm_al_r8_r8_r8,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r9_r9_r9),
    kOutputs_Uhsax_RdIsRnIsRm_al_r9_r9_r9,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r10_r10_r10),
    kOutputs_Uhsax_RdIsRnIsRm_al_r10_r10_r10,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r11_r11_r11),
    kOutputs_Uhsax_RdIsRnIsRm_al_r11_r11_r11,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r12_r12_r12),
    kOutputs_Uhsax_RdIsRnIsRm_al_r12_r12_r12,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRnIsRm_al_r14_r14_r14),
    kOutputs_Uhsax_RdIsRnIsRm_al_r14_r14_r14,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r14_r14_r3),
    kOutputs_Uhsax_RdIsRn_al_r14_r14_r3,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r1_r1_r2),
    kOutputs_Uhsax_RdIsRn_al_r1_r1_r2,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r12_r12_r7),
    kOutputs_Uhsax_RdIsRn_al_r12_r12_r7,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r10_r10_r6),
    kOutputs_Uhsax_RdIsRn_al_r10_r10_r6,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r4_r4_r9),
    kOutputs_Uhsax_RdIsRn_al_r4_r4_r9,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r5_r5_r6),
    kOutputs_Uhsax_RdIsRn_al_r5_r5_r6,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r2_r2_r4),
    kOutputs_Uhsax_RdIsRn_al_r2_r2_r4,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r7_r7_r11),
    kOutputs_Uhsax_RdIsRn_al_r7_r7_r11,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r7_r7_r12),
    kOutputs_Uhsax_RdIsRn_al_r7_r7_r12,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRn_al_r2_r2_r10),
    kOutputs_Uhsax_RdIsRn_al_r2_r2_r10,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r1_r12_r1),
    kOutputs_Uhsax_RdIsRm_al_r1_r12_r1,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r4_r3_r4),
    kOutputs_Uhsax_RdIsRm_al_r4_r3_r4,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r0_r2_r0),
    kOutputs_Uhsax_RdIsRm_al_r0_r2_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r10_r4_r10),
    kOutputs_Uhsax_RdIsRm_al_r10_r4_r10,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r4_r8_r4),
    kOutputs_Uhsax_RdIsRm_al_r4_r8_r4,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r4_r1_r4),
    kOutputs_Uhsax_RdIsRm_al_r4_r1_r4,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r8_r11_r8),
    kOutputs_Uhsax_RdIsRm_al_r8_r11_r8,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r1_r10_r1),
    kOutputs_Uhsax_RdIsRm_al_r1_r10_r1,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r2_r0_r2),
    kOutputs_Uhsax_RdIsRm_al_r2_r0_r2,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsRm_al_r6_r7_r6),
    kOutputs_Uhsax_RdIsRm_al_r6_r7_r6,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r1_r12_r12),
    kOutputs_Uhsax_RnIsRm_al_r1_r12_r12,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r6_r9_r9),
    kOutputs_Uhsax_RnIsRm_al_r6_r9_r9,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r12_r7_r7),
    kOutputs_Uhsax_RnIsRm_al_r12_r7_r7,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r11_r8_r8),
    kOutputs_Uhsax_RnIsRm_al_r11_r8_r8,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r14_r0_r0),
    kOutputs_Uhsax_RnIsRm_al_r14_r0_r0,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r8_r4_r4),
    kOutputs_Uhsax_RnIsRm_al_r8_r4_r4,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r0_r8_r8),
    kOutputs_Uhsax_RnIsRm_al_r0_r8_r8,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r5_r3_r3),
    kOutputs_Uhsax_RnIsRm_al_r5_r3_r3,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r8_r5_r5),
    kOutputs_Uhsax_RnIsRm_al_r8_r5_r5,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RnIsRm_al_r5_r10_r10),
    kOutputs_Uhsax_RnIsRm_al_r5_r10_r10,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r3_r4),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r3_r4,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r3_r11_r1),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r3_r11_r1,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r11_r2_r6),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r11_r2_r6,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r0_r5),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r0_r5,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r11_r6_r12),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r11_r6_r12,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r10_r8_r4),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r10_r8_r4,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r4_r3_r1),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r4_r3_r1,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r12_r11_r14),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r12_r11_r14,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r9_r4_r11),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r9_r4_r11,
  },
  {
    ARRAY_SIZE(kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r4_r6),
    kOutputs_Uhsax_RdIsNotRnIsNotRm_al_r14_r4_r6,
  },
};

#endif  // VIXL_SIMULATOR_COND_RD_RN_RM_UHSAX_T32_H_
